0.271 2024-10-31 [#710 - Vas Crabb]
-----------------------------------


New Working Systems
-------------------
265-in-1 Handheld Game (SPG2xx based) [David Haywood, TeamEurope]
Bandai / SSD Company LTD Let's! TV Play Keroro Shoutai Dai Panic! Dotabata Daikessen de Arimasu (Japan) [David Haywood, Peter Wilhelmsen, TeamEurope]
Bridge Computer (Diamond) [hap, Sean Riddle]
Chaoji Dou Dizhu Jiaqiang Ban (S300CN) [XingXing]
Chaoji Dou Dizhu Liang Fu Pai (V109CN) [dyq, little0, Guru]
Chaoji Tuolaji Jiaqiang Ban (V206CN) [dyq, little0, Guru]
Chess King / Intelligent Software Pocket Micro De-Luxe [hap, Sean Riddle]
Dmitry Grinberg Linux/4004 [Vas Crabb]
Epoch / SSD Company LTD All-Star Kansha-sai Chou Gouka! Quiz Kettieban: Akasaka 5-choume Taikan Studio (Japan) [David Haywood, TeamEurope, Peter Wilhelmsen]
Epoch / SSD Company LTD mini-moni Stage! Dance Dapyon! (Japan) [David Haywood, TeamEurope, Peter Wilhelmsen]
Epoch / SSD Company LTD mini-moni Stage! Dance Dapyon! Plus (Japan) [David Haywood, TeamEurope]
Epoch / SSD Company LTD Tokyo Friend Park II Perfect! Mezase! Grand Slam!! (Japan) [David Haywood, Peter Wilhelmsen, TeamEurope]
Epoch / SSD Company LTD Tokyo Friend Park II Special! (Japan) [David Haywood, TeamEurope]
Long Hu Zhengba (China, VS105M, set 1) [dyq, little0, Guru]
Long Hu Zhengba 4 Dui Hua Ban (V203CN) [dyq, little0, Guru]
Long Hu Zhengba III Shengji Ban (V300C5) [dyq, little0, Guru, Vas Crabb]
Mingxing San Que Yi (China, V201CN) [David Haywood, XingXing, Vas Crabb, dyq, little0, Guru]
Miracle Seven - Heaven's Gate (Japan, v1.0.2) [hammy, nnap]
Saitek Sensory Backgammon Computer [hap, Sean Riddle]
SciSys / Heuristic Software Electronic Trio [hap, Sean Riddle]
SciSys / Heuristic Software Kasparov Mk 12 [hap, Sean Riddle]
Takara / SSD Company LTD Bakushin Sno-Bo - Gingin Boarders (Japan) [David Haywood, TeamEurope, Peter Wilhelmsen]
Takara / SSD Company LTD Poko Poko Hammers (Japan) [David Haywood, Peter Wilhelmsen, TeamEurope]
Takara Tomy / SSD Company LTD Asobitai Hyper Rescue - Boku wa Kyuujotai! (Japan) [David Haywood, TeamEurope]

New Working Clones
------------------
1945k III (Promat license, OPCX1 PCB) [system11, The Dumping Union]
Chaoji Da Manguan II (China, V754C, set 2) [dyq, little0, Guru]
Chaoji Dou Dizhu (V217CN) [dyq, little0, Guru]
Chaoji Dou Dizhu (V219CN) [dyq, little0, Guru]
Discs of Tron (Environmental, prototype, 8/9/83) [Peter Roesler, The Dumping Union]
Jungle King (V103A) [Ioannis Bampoulas, TeamEurope]
Labyrinth Runner (World Ver. F) [hammy]
Long Hu Zhengba (China, VS105M, set 2) [dyq, little0, Guru]
Long Hu Zhengba III (V106C5M) [dyq, little0, Guru]
Metal Black (World, single PCB) [rtw]
Mirax (set 3) [Roberto Fresca, Gabriel Vega (El Pampa), Emmanuel Firmapaz, Club Argentino de Arcades]
Raiden II (Great Britain) [Domenico Cervini]
Return of the Invaders (Video Dens bootleg, without MCU) [Rubén Casaña, Isaías Hernández]
SciSys / Heuristic Software Kasparov Pocket Chess [hap, Sean Riddle]
SciSys / Heuristic Software Kasparov Pocket Plus [hap, Sean Riddle]
SciSys / Heuristic Software Pocket Checkers [hap, Sean Riddle]
Sega Toys Mega Drive Play TV 2 (Japan) [David Haywood, TeamEurope]
Sega Toys Mega Drive Play TV 3 (Japan) [David Haywood, TeamEurope]
Teenage Mutant Ninja Turtles - Turtles in Time (4 Players ver OAA) [Guru]

Systems Promoted to Working
---------------------------
Bare Knuckle II (bootleg of Mega Drive version) [Dirk Best]
Digital Pocket Hand Held System 230-in-1 - Model 8630 / Model 8633 [David Haywood]
dreamGEAR My Arcade Gamer Mini 160-in-1 (DGUN-2953) [David Haywood]
Fever 13 (Japan, v1.3) [Angelo Salese, hammy]
Fizz Creations Arcade Classics Mini Handheld Arcade (Supreme 150) [David Haywood]
Fizz Creations Mini Arcade Console (Arcade 10-in-1) [David Haywood]
Kart Duel (World, KTD2/VER.A) [smf]
Millennium 2000 GmbH Millennium Arcade 250 (M527) [David Haywood]
Orb Retro Arcade Game Controller 153-in-1 [David Haywood]
Orb Retro Handheld Console 152-in-1 [David Haywood]
Poker & 21 [Angelo Salese]
Research Machines LINK RM-480Z (set 1) [Robin Sergeant]
Takara / SSD Company LTD Taiko de Popira (Japan) [David Haywood]

Clones Promoted to Working
--------------------------
Crazy Bugs (V103JP) [buffi, Peter Wilhelmsen, XingXing]
Kart Duel (Japan, KTD1/VER.A) [smf]
Research Machines LINK RM-480Z (set 2) [Robin Sergeant]

New Systems Marked not Working
------------------------------
Bandai / SSD Company LTD Let's! TV Play Touin Ougi Onmyou Taisenki: Mezase Saikyou Toushinshi (Japan) [David Haywood, TeamEurope]
Bandai Anpanman TV (Japan) [David Haywood, TeamEurope]
Bullion 2 [Victor Fernandez (City Game), Recreativas.org]
Carnival (Astro Corp., US.004.D) [Ioannis Bampoulas, TeamEurope]
Cashline [Vicente y Sergio de ElectronicaVyS]
Color LCD Classic Game 200-in-1 [David Haywood, TeamEurope]
Cross Products DASH4 Debug Adapter [ArcadeHacker]
Diamond Heart (v1.0) [Ioannis Bampoulas, TeamEurope]
Double Hearts [nerd4gw]
Dynasty (Ver. 1.02) [Ioannis Bampoulas, TeamEurope]
Epoch / Mizkan / SSD Comany LTD Shamoji de Ping Pong (Japan) [David Haywood, TeamEurope]
Epoch / SSD Company LTD Goal Kimeruze! Excite Striker (Japan) [David Haywood, TeamEurope]
Epoch / SSD Company LTD Ham-chans Dai Shuugou Dance Surunoda! Hashirunoda! (Japan) [David Haywood, TeamEurope, Peter Wilhelmsen]
Epoch / SSD Company LTD Hanshin Tigers Excite Stadium DX (Japan) [David Haywood, TeamEurope]
Epoch / SSD Company LTD TV-PC Tottoko Hamutaro (Japan) [David Haywood, TeamEurope]
Epoch / SSD Company LTD Black Bass Tsurouze! Excite Fishing (Japan) [David Haywood, TeamEurope]
Epoch / SSD Company LTD Card Scan! Excite Stage Soccer Nippon Daihyou Team (Japan) [David Haywood, TeamEurope]
Epoch / SSD Company LTD Home Run Datouze! Excite Stadium (Japan) [David Haywood, TeamEurope]
Epoch / SSD Company LTD mini-moni Party! Rhythm de Pyon! (Japan) [David Haywood, TeamEurope]
Epoch / SSD Company LTD Super Shot! Excite Golf (Japan) [David Haywood, TeamEurope]
Epoch / SSD Company LTD Tottoko Hamtaro - Ham Ham Dai Circus! (Japan) [David Haywood, Peter Wilhelmsen, TeamEurope]
Epoch / SSD Company LTD TV Mahjong Shoudan Taikyoku - 4-nin Uchi (Japan) [David Haywood, Peter Wilhelmsen, TeamEurope]
Epoch TV Globe (Japan) [David Haywood, TeamEurope]
Fisherman Battle (Japan, ver 1.03) [TeamEurope]
Hitachi B16 EX-II [Mike Stedman]
Hitachi MB-S1 [Angelo Salese, archive.org]
IBM ThinkPad 600 [ArcadeHacker]
IBM ThinkPad 600E [ArcadeHacker]
Jungle King (V302US) [Ioannis Bampoulas, TeamEurope]
Linksys (Cisco) PAP2 [Octocontrabass]
La Máquina del Tiempo [jordigahan, Recreativas.org]
Mini Arcade Handheld Game Console 2.8 Inch Screen Built in 156 Retro Games (Mega Drive handheld) [David Haywood, TeamEurope]
Multistar 5 [nerd4gw]
Multistar 14 [nerd4gw]
Mystery J & B (V1.3G) [Ioannis Bampoulas]
Mystic Jaguar [nerd4gw]
NIHON ENIAC CO.,LTD. Sound Saurus BH-1000 [buffi]
Pocket Game 118-in-1 / Game Computer 118-in-1 [David Haywood, TeamEurope]
Premier Portfolio International Classic Max Pocket PCMX11 - 12 in 1 Colour Games Console (France) [David Haywood, TeamEurope]
Santa Claus (IN.001.07.A) [Ioannis Bampoulas, TeamEurope]
Sega Toys / SSD Company LTD Bistro Kids: Boku mo Watashi mo Kok-san! (Japan) [David Haywood, TeamEurope, Peter Wilhelmsen]
Shenzhen Shiji New Technology Tou ma Pet [David Haywood, TeamEurope]
Sunset Riders / Super Street Fighter II - The New Challengers (scrambled bootleg of Mega Drive versions) [hammy]
Super 70's (V100US) [Ioannis Bampoulas, TeamEurope]
Super Cherry Master (V5.2) [Ioannis Bampoulas]
Super El Dorado (Ver. 1.04H) [hammy, buffi]
Takara / SSD Company LTD Choro-Q Byun Byun Racer (Japan) [David Haywood, TeamEurope]
Takara / SSD Company LTD Comet-san Lovelin Baton (Japan) [David Haywood, TeamEurope]
Takara Tomy Pocket Monsters PC [TeamEurope, Peter Wilhelmsen]
Takara Tomy Pocket Monsters Rotom Tablet [TeamEurope, Peter Wilhelmsen]
Takara TV Dear Multi Word Processor [David Haywood, AJR, TeamEurope]
Tomy / SSD Company LTD Disney Princess Kirakira Mahou no Lesson (Japan) [David Haywood, TeamEurope]
Torch Computers Triple X [Nigel Barnes, Binary Dinosaurs]
Triple Jack (V1.6G) [Ioannis Bampoulas]
Triple Play (M0000230, Spanish) [Roberto Fresca]
Wanpaku Pirates (Japan, ver 1.00) [TeamEurope]
YSN Play Portable Color GameU+ (50-in-1) (Japan) [David Haywood, TeamEurope]

New Clones Marked not Working
-----------------------------
Aladdin's Cave (Maygay M2, SW8-298 SW8-144) [Ivan Vangelista]
Aladdin's Cave (Maygay M2, SW8-322 SW8-298) [Ivan Vangelista]
Aladdin's Cave (Maygay M2, SW8-323 SW8-299) [Ivan Vangelista]
Big Break (Maygay M2, SW6-656 SW6-635) [Ivan Vangelista]
Big Break (Maygay M2, SW6-657 SW6-636) [Ivan Vangelista]
Bullion Blox (BWB) (BVM_____.1__) (MPU4 Video) [Trol]
Crazy Balls (Bontempi, set 2) [Domenico Cervini]
Each Way Gambler (Maygay M2, SA6_128 SA6_114) [Ivan Vangelista]
Each Way Gambler (Maygay M2, SA6_129 SA6_115) [Ivan Vangelista]
Each Way Gambler (Maygay M2, SA6_130 SA6_115) [Ivan Vangelista]
Each Way Gambler (Maygay M2, SA6_281 NONE) [Ivan Vangelista]
Each Way Gambler (Maygay M2, SA6_282 NONE) [Ivan Vangelista]
Each Way Gambler (Maygay M2, SA6_283 NONE) [Ivan Vangelista]
Each Way Gambler (Maygay M2, SA6_284 NONE) [Ivan Vangelista]
Epoch / SSD Company LTD Super TV-PC - Doraemon [QUFB, TeamEurope]
Guinness Book Of Records (Maygay M2, SW8-146 SW7-360) [Ivan Vangelista]
Guinness Book Of Records (Maygay M2, SW8-147 SW7-361) [Ivan Vangelista]
Jack & Vera (Maygay M2, set 2) [Ivan Vangelista]
Jack & Vera (Maygay M2, set 3) [Ivan Vangelista]
Jack & Vera (Maygay M2, set 4) [Ivan Vangelista]
Krypton Factor (Maygay M2, set 2) [Ivan Vangelista]
Last Duel (Modular System) [Museo del Recreativo, Recreativas.org]
London Underground (Maygay M2, SW8-233 SW8-155) [Ivan Vangelista]
Pinball Wizard (Maygay M2, SW8-098 SW8-096) [Ivan Vangelista]
Pinball Wizard (Maygay M2, SW8-099 SW8149) [Ivan Vangelista]
Power Spikes (Modular System) [Museo del Recreativo, Recreativas.org]
Race On! (Japan, RO1 Ver. B) [Guru]
Risk (Maygay M2, SW9-024 SW9-026) [Ivan Vangelista]
Risk (Maygay M2, SW9-025 SW9-023) [Ivan Vangelista]
Star Rider (PROTO 3) [Matt Ownby]
Super Cherry Master (V1.2) [Ioannis Bampoulas]
Super Clue (Maygay M2, SW8-153 SW8-131) [Ivan Vangelista]
Tomy / SSD Company LTD Star Wars Saga Edition - Lightsaber Battle Game (Japan) [David Haywood, TeamEurope]
Twin Cobra (Modular System) [Museo del Recreativo, Recreativas.org]


New Working Software List items
-------------------------------
a2600: Dig Dug (PAL, alt) [Guru]
apple2_flop_clcracked:
  The Bank Street Writer Expanded Tutorial (version 2.2) (4am crack) [A-Noid]
  Roadwar 2000 (version 1.1) (4am crack) [4am, A-Noid]
  Battle of Antietam (version 1.3) (4am and san inc crack), Computer Baseball 1983 Teams Disk (4am and san inc crack),
  Computer Bismarck (version 1.1) (4am and san inc crack) [4am, san inc, A-Noid]
apple2_flop_orig:
  Animate, Bag of Tricks 2 (version 2.0), Baltic 1985: Corridor to Berlin (version 1.0), The Bank Street Speller,
  The Bank Street Writer (version 1.3), The Bank Street Writer Enhanced (version 2.6),
  The Bank Street Writer Enhanced Tutorial for ][+, The Bank Street Writer Enhanced Tutorial for IIe,
  The Bank Street Writer Expanded (version 2.2), The Bank Street Writer Expanded Tutorial (version 2.2),
  The Bank Street Writer IIc (version 2.11), The Bank Street Writer IIc (version 2.1 revision 1),
  The Bank Street Writer IIc (version 2.1 revision 2), The Bank Street Writer IIc Tutorial (version 1984-06-27),
  The Bank Street Writer III (version 1.1), The Bank Street Writer III (version 1.4),
  The Bank Street Writer III Tutorial (version 1.1), The Bank Street Writer III Tutorial (version 1.4),
  The Bank Street Writer Plus (version 1.1), The Bank Street Writer Plus (version 1.4),
  The Bank Street Writer Plus Tutorial (version 1.1), The Bank Street Writer Plus Tutorial (version 1.4),
  The Bank Street Writer Tutorial (version 1.0), The Bank Street Writer Tutorial (version 1.1 1982-12-13),
  Champions of Krynn (version 1.0), Champions of Krynn (version 1.1), Computer Air Combat (version 1.0),
  Computer Air Combat (version 1.1), Computer Ambush (version 1.0 revision 1), Computer Ambush (version 1.0 revision 2), David-DOS,
  Federation, Fifty Mission Crush (version 1.1), Science Toolkit, The Time Tunnel: Sports Edition,
  The Time Tunnel: The America Series: Early America, The Time Tunnel: The America Series: The Presidents,
  The U.S. Constitution: Nationalism and Federalism (version 1987) [4am, A-Noid]
  Battle of Antietam (version 1.5), Battlecruiser (version 1.0), Bomb Alley (version 1.0),
  Breakthrough in the Ardennes (version 1.1), Eagles (version 1.0), Fighter Command (version 1.0),
  Prince of Persia (interactive demo), Trapshoot, Wheeler Dealers (DOS 3.3 conversion),
  Wizardry: Proving Grounds of the Mad Overload (version 2.0 01-JAN-82) [4am, A2_Canada, A-Noid]
  Measuring Economic Activity [4am, LoGo, A-Noid]
  Adventure in Time [4am, txgx42, A-Noid]
  B-24 (version 1.0), Battle of Antietam (version 1.3), Battles of Napoleon (version 1.0), Carrier Force (version 1.0),
  The Boy Jesus, Colonial Conquest (version 1.1), The Early Church, Early Heroes of the Bible, Fifty Mission Crush (version 1.2),
  Israel's Golden Years, Moses Leads His People, Paul's Missionary Journeys, Searching for a King, A Week That Changed The World
  [4am, yesterbits, A-Noid]
  Battalion Commander (version 1.0) [4am, yesterbits, Peter Ferrie, A-Noid]
apple2gs_flop_orig:
  Time Pilot (version 1.2), Time Pilot (version 1.3), Time Pilot (version 1.4), Time Pilot (version 1.5),
  Time Pilot (version 1.5.A), Time Pilot (version 1.6) [Stefan Wessels, Antoine Vignau, Brutal Deluxe, A-Noid]
bml3_cass: IG Demo [Anna Wu]
coleco_homebrew:
  Air Battle, Bejeweled (v2001), Bunny, BUsTin-Out Volume 1, BUsTin-Out Volume 2, Le Château du Dragon, Commando Returns (demo),
  Double Breakout, Ghostblaster (rev. A), Quiz Wiz, Search for the Stolen Crown Jewels 1 (demo) [colecovision.dk]
  Search for the Stolen Crown Jewels 2 (demo), Search for the Stolen Crown Jewels 3 (demo v2008) [colecovision.eu]
  Osotos [Inufuto]
famicom_flop: NESert Golfing (v1.4), NESert Golfing (v1.5) [Mike Swanson]
ibm5150:
  FreeDOS 1.3 8086 Minimized [AkBKukU]
  FreeDOS 1.3 (Floppy-Only Edition, 3.5" 720k) [FreeDOS Project]
ibm5150_hdd: FreeDOS 1.3 8086 Minimized [Mike Swanson]
ibm5170: FreeDOS 1.3 (Floppy-Only Edition, 3.5" 1.44MB), FreeDOS 1.3 (Floppy-Only Edition, 5.25" 1.2MB) [FreeDOS Project]
ibm5170_cdrom:
  FreeDOS 1.3 [FreeDOS Project]
  Duke Nukem 3D: Kill-A-Ton Collection, Quake 1.09 (Windows), Quake Mission Pack 1: Scourge of Armagon,
  Quake Mission Pack 2: Dissolution of Eternity, Quake Shareware 1.01, Quake Shareware 1.01 (TestDrive),
  Zork Nemesis: The Forbidden Lands [Mike Swanson]
  EA Sports Cricket 96 (South Africa) [telanus]
ibm5170_hdd: FreeDOS 1.3 [Mike Swanson]
lnux4004: Debian GNU/Linux 7 (Linux uMIPS 4.4.292+) [Dmitry Grinberg, Vas Crabb]
mac_cdrom: id Anthology [Mike Swanson]
neogeo: GladMort (demo²) [PixelHeart]
nes:
  NESert Golfing (beta v1.0), NESert Golfing (beta v1.1), NESert Golfing (beta v1.2), NESert Golfing (v1.3), NESert Golfing (v1.4),
  NESert Golfing Tournament Edition (v1.4) [Mike Swanson]
  NESert Golfing (v1.5) [rainwarrior]
pc98:
  PC-9800 Series PC Training Disk (RX?) [Angelo Salese]
  Classic Road 3 (alt format), Mime, Mirror, Wakusei Omega no Q Ouji [Neo Kobe Collection]
snes: sNESert Golfing [rainwarrior]
spectrum_cass:
  3D Desert War, Altair (Athena), Altair (Athena, alt 1), Altair (Athena, alt 2), Apocalypse (Santoli), Magic Worm (mod, alt),
  Manic Miner + Kong (pirate), Psytraxx + Hell Fire (pirate), TasWord 2 (Microbaite), Tipster [Planeta Sinclair]
  Samurai Warrior (MCM), TasWord 2 (French), TasWord 2 (MCI) [Spectrum Computing]
zx81_cass:
  Ant Attack, Boulder Logic, Crozxy Road, Domin8tr1s, Impact, Miner Man, Noir Shapes, One Little Ghost, Pandemic, Quack!, Rebound,
  Shrooms, Steps, U-Bend, Virus, ZXagon [Bob’s Stuff]
  Jogos 3 [Planeta Sinclair]
  Avalanche, Down!, Mayhem, Stairrunner [Revival Studios]
  Argolath, Bar Billards, Bigg Oil, Budget Familial, Budget Familial (alt), Chiromancie, Rigel [Spectrum Computing]
  Casse-briques + Pendu, Panique [Team Zeddy, Planeta Sinclair]

Software List items Promoted to Working
---------------------------------------
pc98:
  38 Man Kilo no Kokuu, Abunai Tengu Densetsu - Yomigaetta Tengu ga Yozora o Mau,
  Abunai Tengu Densetsu - Yomigaetta Tengu ga Yozora o Mau (alt format), Alantia (alt format), Ami - Kaze Tachinu,
  Anniversary - Memories of Summer Vacation - Natsuyasumi no Omoide, Art Jigsaw - Vol. 1 Super Weapons,
  Art Jigsaw - Vol. 2 Pretty Girls, Art Jigsaw - Vol. 3 Fantastic, Azusa 108 Jimusho, Bacta 2, Band-kun - Sound Entertainment,
  Beast - Injuu no Yakata, Beast III, Beast Lord II, BeatVice, Bishoujo Shashinkan - Studio Cut (2DD), Blood Seed,
  Brandish 2 - The Planet Buster, Brandish 2 - The Planet Buster (alt Program disk), Burai Joukan, Cal, Cal II,
  Card Buster (Vol 2.00), Centurion - Defender of Rome, Centurion - Defender of Rome (alt), Champions of Krynn,
  Cherry Bomb - Chou Ojousama Sayaka-chan Nanpa Daisakusen, Chikyuu Bouei Gun II - The Earth Self Defense Force - Far Side Moon,
  Chikyuu Bouei Shoujo Iko-chan - UFO Daisakusen, Choujikuu Yousai Macross - Skull Leader, Chou·Baku, Company,
  Crescent Moon Girl (alt format), Curse of the Azure Bonds, Curse of the Azure Bonds (alt), D'ark, Daisenryaku II - Editor Set,
  Daisenryaku II SP, Daisenryaku III '90 (alt format), Daisenryaku III - Great Commander (alt format),
  Daiva Story 7: Light of Kari Yuga, Daiva Story 7: Light of Kari Yuga (alt), Daiva Story 7: Light of Kari Yuga (alt 2),
  Dangerous Toys, Dare mo Shiranai... Ushinawareta Kioku no Tobira, Days in Duel (alt format), Door Door, E Tokyo Kyonyuu Story,
  Eisei Meijin II, Eisei Meijin III, Eiyuu Densetsu Saga, Fairie's Residence, Farce - Yuuwaku Hakusho, G Senryaku, Gai Flame,
  Gaias Lord, Gandhara, Gaplus (alt format), The Golem Master, Golf My Data - Hyper Golf Score Data Base, Grandslam ver.3.0,
  Highway Star, Hokuto no Ken, Holland-tsuma wa Denki Unagi no Yume o Miru ka?, Ichitaro ver4.0 + Hanako Ver2.0 (demo), JG Ver3.0,
  Jangou 1, Kids - SAP 2nd. File, Kiwame Daidougi, Kon'yamo Asamade Powerful Mahjong 2, Kyou mo Campus Hana Ranman,
  Lands of Lore - The Throne of Chaos (V J1.00), Liberty, Ligarued, Little Computer People, Lixus, Logical (demo),
  LOGiN Disk & Book Series - Manhattan Requiem - Angels Flying in the Dark,
  LOGiN Disk & Book Series - Ongaku Tsukuruu - LOGiN Museum Edition, Loopz, Märchen Paradise, Magic Master - Monster Maker,
  Magical Art, Mahjong Sports Line, Meikyuu Gakuensai - Kyuukousha no Nazo, Mole Mole, MS-DOS 3.30D (alt),
  Mystery House (Starcraft), N88 Disk BASIC v6.1, Nightlife, Oba no Oyako (Version X),
  Quest for Glory - So You Want to Be a Hero (v1.100), Relics (alt), The Return of Ishtar, Rogue, Sailor Moon CG Collection (v1.00),
  Solitaire Royale (alt format), Tadashiedai-kun Jr., Twilight Zone III - Nagakute Amai Yoru, WordStar (v6.0), Yuukara Wave,
  Zan III - Tenun Ware ni Ari [Angelo Salese, Carl]


New software list items marked not working
------------------------------------------
apple2_cass: Wheeler Dealers [4am, A2_Canada, A-Noid]
hikara: Hi-kara 20-song capacity user cartridge (blank) (Japan), Hi-kara PIZZA-LA [David Haywood, TeamEurope]
pc98: Twilight [Neo Kobe Collection]
sat_vccart: Victor Twin Operator Video CD & Photo CD (Japan, v4.000) [TeamEurope, CyberWarriorX, cafe-alpha]
spectrum_cass: Lunar Rescue (Crystal Computing) [Spectrum Computing]
super_tv_pc_cart: Doraemon Excite Ping-Pong [David Haywood, TeamEurope]
supracan: Rebel Star ~ Pàn Xīng [anonymous]
thinkpad8xx: AIX 4 [OS/2 Museum, ClawGrip]
tvdear: Shoujo Manga Collection [TeamEurope]
zx81_cass: 3D 3D! [Spectrum Computing]


Merged pull requests
--------------------
- 12465: neogeo.xml: Added a newer GladMort demo. [PixelHeart, ArcadeShadow]
- 12469: tecmo/tecmo.cpp: Reduced literal tag usage and cleaned up code. [cam900]
- 12576: rm/rm480z.cpp, rm/rm_mq2.cpp: Emulated LINK RM-480Z computer and MQ2 floppy drive controller. [Robin Sergeant]
- 12592: cirsa/cirsa2080606.cpp: Dumped the Cirsa slot machine La Máquina del Tiempo. [jordigahan, Recreativas.org, ClawGrip]
- 12722: bus/vcs_ctrl: Added support for the Atari CX22/CX80 Trak-Ball. [as-tb-dev]
- 12751: famicom_flop.xml, nes.xml, snes.xml: Added the NESert Golfing games. [rainwarrior, Mike Swanson]
- 12770: emu/diserial.cpp: Improved stop bit handling (fixes GitHub #12762). [Colin Leroy-Mira]
- 12776: Added FreeDOS 1.3 installation media and pre-installed hard disk images to PC software lists. [Mike Swanson]
- 12786: sinclair/sprinter.cpp: Improved emulation of wait states when using the accelerator. [holub]
- 12789: Added cold attribute to common life cycle member functions for many files in src/mame. [holub]
- 12790: skeleton/dash4.cpp: Dumped firmware for the Cross Products DASH4 Debug Adapter for SuperH CPUs. [ArcadeHacker, ClawGrip]
- 12791: Dumped Modular System bootlegs of Last Duel, Power Spikes and Twin Cobra. [Museo del Recreativo, Recreativas.org, ClawGrip]
- 12793: ibm5170_cdrom.xml: Added complete dumps of the commercial and shareware releases of Quake. [Mike Swanson]
- 12796: coleco_homebrew.xml: Added fourteen working items. [colecovision.dk, colecovision.eu, Inufuto, ArcadeShadow]
- 12798: apple2_flop_orig.xml, apple2_flop_clcracked.xml, apple2_cass.xml: Added latest dumps and improved metadata. [A-Noid]
- 12804: capcom/lwings.cpp: Hooked up sound CPU reset control for Trojan and Avengers. [jotego]
- 12807: ibm5170_cdrom.xml: Added Zork Nemesis: The Forbidden Lands. [Mike Swanson]
- 12808: ibm5170_cdrom.xml: Added Duke Nukem 3D: Kill-A-Ton Collection. [Mike Swanson]
- 12813: skeleton/bullion2.cpp: Dumped Inder’s Bullion 2 slot machine. [Victor Fernandez (City Game), Recreativas.org, ClawGrip]
- 12815: hitachi/bml3.cpp: Added the Hitachi MB-S1 (not working). [Angelo Salese]
- 12816: hitachi/mbs1.cpp: Moved the Hitachi MB-S1 emulation to its own source file. [Angelo Salese]
- 12819: ibm5170_cdrom.xml: Added EA Sports Cricket 96 (South Africa). [telanus]
- 12820: supracan.xml: Added Rebel Star (not working). [anonymous, David Haywood]
- 12821: sinclair/spec_snqk.cpp: Fixed bugs in format detection and cleaned up code. [holub]
- 12822: Added cold attribute to common life cycle member functions for many files in src/devices. [holub]
- 12823: misc/esd16.cpp: Reduced literal tag use and cleaned up code. [cam900]
- 12824: apple2_flop_orig.xml, apple2_flop_clcracked.xml, apple2gs_flop_orig.xml: Added latest dumps and improved metadata. [A-Noid]
- 12829: misc/mcatadv.cpp: Clarified comment about Magical Cat Adventure sound chips. [PabloArcade]
- 12830: apple2_cass.xml: Fixed the inadvertently exchanged tape labels for Breakout / Color Graphics. [einstein95]
- 12832: thinkpad8xx.xml: Added AIX 4 (not working) and added metadata for AIX 4.1.5. [OS/2 Museum, ClawGrip]
- 12834: ibm/thinkpad600.cpp: Dumped the BIOS/firmware for the ThinkPad 600 and ThinkPad 600E. [ArcadeHacker, ClawGrip]
- 12836: skeleton/tvdear.cpp: Dumped the Takara TV Dear Multi Word Processor and one cartridge. [David Haywood, TeamEurope]
- 12838: midway/cashline.cpp: Dumped the Bally/Sente Cashline slot machine. [Vicente y Sergio de ElectronicaVyS, ClawGrip]
- 12841: pinball/inder.cpp: Dumped the ROMs from the “bonus expansion board” used by Moon Light. [jordigahan, ClawGrip]
- 12842: bus/spectrum: Added The Music Machine (sound/MIDI I/O expansion). [holub]
- 12843: ibm/thinkpad600.cpp: Added the remaining serial EEPROM for the ThinkPad 600E. [ClawGrip]
- 12844: ibm/thinkpad600.cpp: Moved the ThinkPad 600E serial EEPROM to the correct ROM definition. [ClawGrip]
- 12845: sinclair/chloe.cpp: Added external PC keyboard support; sinclair/screen_ula.cpp: Fixed attributes decoding. [holub]
- 12847: igs/igs_m027xa.cpp: Dumped the IGS027A CPU ROM for Crazy Bugs (V103JP). [buffi, Peter Wilhelmsen, XingXing, David Haywood]
- 12848: docs: Improved notes about the DirectX SDK and added a link in compiling instructions (fixed GitHub #12849). [veganaiZe]
- 12850: Added a number of TV games and cartridges. [David Haywood, TeamEurope, Peter Wilhelmsen]
- 12853: bus/spectrum/musicmachine.cpp: Confirmed port address decoding and fixed save state registration. [holub]
- 12854: skeleton/pap2.cpp: Added a skeleton driver for the Linksys PAP2 telephony adapter. [Octocontrabass]
- 12855: snk/ngp.cpp: Improved real-time clock behavior (fixes MT05279). [Wilbert Pol]
- 12856: sound/k054539.cpp: Corrected reverb RAM size and addressing. [jotego]
- 12857: misc/mirax.cpp: Reduced literal tag usage and cleaned up code. [cam900]
- 12858: zx81_cass.xml: Added 31 items (30 working). [ArcadeShadow]
- 12859: hash/nes.xml: Verified content for several NESert Golfing games. [rainwarrior, Mike Swanson]
- 12862: machine/timekpr.cpp: Suppress side effects for debugger reads; misc/multfish.cpp: Cleaned up code. [cam900]
- 12863: misc/mosaic.cpp: Suppress side effects for debugger reads and cleaned up code. [cam900]
- 12864: snk/k1ge.cpp: Implemented device_palette_interface. [Wilbert Pol]
- 12865: igs/igs_m027.cpp: Added Chaoji Dou Dizhu Jiaqiang Ban (S300CN). [XingXing, David Haywood]
- 12866: atari/asteroid.cpp: Set the watchdog timer frequency. [hackbar]
- 12868: efo/cidelsa.h: Verified clock frequencies for Cidelsa’s Destroyer and Altair. [Recreativas.org, ClawGrip]
- 12869: cpu/m68000: Renamed variables used for restarting instructions to reduce potential confusion. [Adam Billyard]
- 12870: Use qmake to query the Qt libexec directory to find the meta-object compiler tool. [Michael Cho]
- 12872: bus/a2bus/suprterminal.cpp: Initialize RAM/ROM mapping mode on start. [Roman Donchenko]
- 12873: fm77av.xml, fm7_disk.xml, dragon_cass.xml, dragon_flex.xml: Cleaned up descriptions. [ArcadeShadow]
- 12874: tvgames: Corrected some metadata and added comments. [David Haywood]
- 12875: midw8080/8080bw.cpp: Marked Jatre Specter as a licensed game rather than a bootleg (see MT08149). [David Silva]
- 12876: bus/a2bus/suprterminal.cpp: Allow RAM/ROM mapping control via C0Bx reads. [Roman Donchenko]
- 12878: sinclair/sprinter.cpp: Added support for dual joysticks. [holub]
- 12880: Use the latest GitHub CI checkout and upload-artifacts actions, and don’t fetch entire revision history. [Margen67]
- 12881: igs/igs023_video.cpp, igs/pgm.cpp, igs/igs_m027_023vid.cpp: Converted PGM video hardware to a device. [David Haywood]
- 12883: tvgames: Added ten XaviX-based TV games (two working). [David Haywood, TeamEurope, Peter Wilhelmsen]
- 12884: taito/retofinv.cpp: Added a Video Dens bootleg of Return of the Invaders. [Rubén Casaña, Isaías Hernández, ClawGrip]
- 12885: misc/mjsenpu.cpp: Cleaned up code. [cam900]
- 12887: igs/igs_m027_023vid.cpp: Fixed sound/video interrupts and interrupt source input. [XingXing]
- 12888: sega/model2.cpp: Fixed ROM locations for Desert Tank. [Tailsnic Retroworks, ClawGrip]
- 12889: ussr/bk.cpp, bus/qbus, cpu/t11: Moved BK0010 floppy drive controller to a card device, and fixed disk writes. [shattered]
- 12890: scv.xml: Improved Star Speeder ROM loading and marked it unsupported. [Wilbert Pol]
- 12894: apple/apple2e.cpp: Improved behavior of C02x soft switches to better match the hardware. [Dennis Munsie]
- 12895: igs/igs_m027_023vid.cpp: Trigger FIQ at start of vertical blanking and IRQ at end of vertical blanking. [David Haywood]
- 12896: cpu/powerpc: Fixed 64-bit floating point quiet NaN check. [toxie]
- 12897: spectrum_cass.xml: Added fourteen items (thirteen working). [Planeta Sinclair, Spectrum Computing, ArcadeShadow]
- 12899: taito/taito_f3.cpp: Added a note indicating that common TC0640FIO device should be used. [cam900]
- 12901: tvgames: Added seven TV games (two working) and re-dumped Excite Ping Pong 2. [David Haywood, TeamEurope, Peter Wilhelmsen]
- 12902: matsushita/kn5000.cpp: Dumped two more data ROMs. [Felipe Sanches]
- 12903: cpu/m68000, 3rdparty/softfloat3/bochs_ext: Implemented FETOX, FETOXM1, FTWOTOX and FTENTOX instructios. [Minsu Kwon]
- 12906: debugger/debuggdbstub.cpp: Added support for the MC68030 CPU (identical to MC68020). [Minsu Kwon]
- 12909: namco/namcos23.cpp: Significantly improved Namco System 23 graphics and functionality. [Ryan Holtz]


Source changes
--------------
New systems marked not working
------------------------------
Sensory Backgammon [hap, Sean Riddle]

New systems marked not working
------------------------------
B16 EX-II [Mike Stedman]

-apple2_flop_orig.xml, apple2_flop_clcracked.xml, apple2_cass.xml: Added latest dumps and improved metadata. (#12798) [A-Noid33]
 * apple2_flop_orig.xml: Replaced one item with a better dump.
 * apple2_flop_orig.xml: Improved metadata.
 * apple2_flop_clcracked.xml: Split Bank Rate Tutorials from Bank Rate Software as it was sold separately.
 * apple2_flop_clcracked.xml: Replaced one item with a better dump.
 * apple2_flop_clcracked.xml: Removed two imperfect cracks.
 * apple2_flop_clcracked.xml: Improved metadata.
 * apple2_cass.xml: Added one not working item.

New working software list items (apple2_flop_orig.xml)
------------------------------------------------------
A Week That Changed The World [4am, yesterbits, A-Noid]
Adventure in Time [4am, txgx42, A-Noid]
Animate [4am, A-Noid]
Bag of Tricks 2 (version 2.0) [4am, A-Noid]
David-DOS [4am, A-Noid]
Early Heroes of the Bible [4am, yesterbits, A-Noid]
Federation [4am, A-Noid]
Israel's Golden Years [4am, yesterbits, A-Noid]
Measuring Economic Activity [4am, LoGo, A-Noid]
Moses Leads His People [4am, yesterbits, A-Noid]
Paul's Missionary Journeys [4am, yesterbits, A-Noid]
Prince of Persia (interactive demo) [4am, A2_Canada, A-Noid]
Science Toolkit [4am, A-Noid]
Searching for a King [4am, yesterbits, A-Noid]
The Bank Street Speller [4am, A-Noid]
The Bank Street Writer (version 1.3) [4am, A-Noid]
The Bank Street Writer Tutorial (version 1.0) [4am, A-Noid]
The Bank Street Writer Tutorial (version 1.1 1982-12-13) [4am, A-Noid]
The Bank Street Writer Enhanced (version 2.6) [4am, A-Noid]
The Bank Street Writer Enhanced Tutorial for ][+ [4am, A-Noid]
The Bank Street Writer Enhanced Tutorial for IIe [4am, A-Noid]
The Bank Street Writer Expanded (version 2.2) [4am, A-Noid]
The Bank Street Writer Expanded Tutorial (version 2.2) [4am, A-Noid]
The Bank Street Writer IIc (version 2.1 revision 1) [4am, A-Noid]
The Bank Street Writer IIc (version 2.1 revision 2) [4am, A-Noid]
The Bank Street Writer IIc (version 2.11) [4am, A-Noid]
The Bank Street Writer IIc Tutorial (version 1984-06-27) [4am, A-Noid]
The Bank Street Writer III (version 1.1) [4am, A-Noid]
The Bank Street Writer III (version 1.4) [4am, A-Noid]
The Bank Street Writer III Tutorial (version 1.1) [4am, A-Noid]
The Bank Street Writer III Tutorial (version 1.4) [4am, A-Noid]
The Bank Street Writer Plus (version 1.1) [4am, A-Noid]
The Bank Street Writer Plus (version 1.4) [4am, A-Noid]
The Bank Street Writer Plus Tutorial (version 1.1) [4am, A-Noid]
The Bank Street Writer Plus Tutorial (version 1.4) [4am, A-Noid]
The Boy Jesus [4am, yesterbits, A-Noid]
The Early Church [4am, yesterbits, A-Noid]
The Time Tunnel: Sports Edition [4am, A-Noid]
The Time Tunnel: The America Series: Early America [4am, A-Noid]
The Time Tunnel: The America Series: The Presidents [4am, A-Noid]
The U.S. Constitution: Nationalism and Federalism (version 1987) [4am, A-Noid]
Trapshoot [4am, A2_Canada, A-Noid]
Wheeler Dealers (DOS 3.3 conversion) [4am, A2_Canada, A-Noid]
Wizardry: Proving Grounds of the Mad Overload (version 2.0 01-JAN-82) [4am, A2_Canada, A-Noid]

Redumped software list items (apple2_flop_orig.xml)
---------------------------------------------------
Wizardry III: Legacy of Llylgamyn (version 4, 20-Aug-1983 update) [4am, A-Noid]

New not working software list items (apple2_cass.xml)
-----------------------------------------------------
Wheeler Dealers [4am, A2_Canada, A-Noid]

Redumped software list items (apple2_flop_clcracked.xml)
--------------------------------------------------------
Animate (4am crack) [4am, A-Noid]

Removed (apple2_flop_clcracked.xml)
-----------------------------------
Animate (imperfect clean crack) [A-Noid33]
Bank Street Writer II (imperfect clean crack) [A-Noid33]

-sun/sun4.cpp: Less convoluted way of changing default SCSI devices. [Vas Crabb]

-hitachi/b16.cpp: hookup PIT and PICs [angelosa]

-hitachi/b16.cpp: hookup FDC [angelosa]

-hitachi/b16.cpp: dump kanji ROMs for b16ex2 [Mike Stedman]
 * allow it to display a "system starting up"

-hitachi/b16.cpp: identify some irq sources [angelosa]

-hitachi/b16.cpp: fix compile [angelosa]

-capcom/lwings.cpp: Hooked up sound CPU reset control for Trojan and Avengers. (#12804) [JOTEGO]
 * Original Trojan schematic shows that the main CPU controls the sound CPU reset line.

-emu/diserial.cpp: Improved stop bit handling (fixes #12762). (#12770) [Colin Leroy-Mira]
 * Never check more than one stop bit on reception.
 * Don't add an extra stop bit on transmission.

-hitachi/b16.cpp: stub a bunch of keys, make it disk error explicitly [angelosa]

-hitachi/b16.cpp: FDC wants ready line connected [angelosa]

-x68k: further adjust vblank irq [cracyc]

-ibm/thinkpad8xx.cpp: Use simpler BIOS tags, put BIOS options in ascending order, explicitly specify default BIOS. [Vas Crabb]

New systems marked not working
------------------------------
Fisherman Battle (Japan, ver 1.03) [TeamEurope]
Wanpaku Pirates (Japan, ver 1.00) [TeamEurope]

-sbackg: remove driver, merge with ecbackg driver instead [hap]

Systems promoted to working
---------------------------
Sensory Backgammon Computer [hap, Sean Riddle]

-ecbackg: rename driver to sbackgc [hap]

-bus/bml3: standardize read/write function names [angelosa]

New systems marked not working
------------------------------
Hitachi MB-S1 [archive.org]

-sbackgc: invert buttons_r, hmcs40d: set page start to 0x3f [hap]

-Revert "New systems marked not working" [hap]
 * This reverts commit 5ade77ff644bd4a37991a88028c32dd757c11da7.

-mame.lst: add bh1000 that was omitted [hap]

-misc/changyu.cpp: Implemented changyu2 MCU communication well enough to get attract mode working with music. [Vas Crabb]

-sbackgc: just use cpu_device for m_maincpu [hap]

-barek2mb: Hook up PIC MCU [Dirk Best]

Systems promoted to working
---------------------------
Bare Knuckle II (bootleg of Mega Drive version) [Dirk Best]

-misc/changyu.cpp: add inputs for both games [Angelo Salese, Roberto Fresca]

-source org: move Chess King drivers to chessking folder [hap]

new NOT WORKING Software List additions (#12820)
------------------------------------------------
supracan.xml: Rebel Star [anonymous]

-Co-authored-by: David Haywood <hazemamewip@hotmail.com> [mamehaze]

-hash/supracan.xml: hookup NVRAM for rebelst and standardize description [angelosa]

-supracan.xml: use hex for rom size values [hap]

-hmcs40: add hmcs46/hmcs47 [hap]

-Added ATTR_COLD to common lifecycle methods for many files in src/mame. (#12789) [holub]

-sega/megadriv_acbl.cpp, skeleton/zorbakbd.cpp: Sorted DIP switch options. [Vas Crabb]
 * Order coinage options from least to most generous, put off to the left of on.

-pgm2.h: fix compile [hap]

-funtech/supracan.cpp: fix sprite/tilemap banking bits [angelosa]

-sinclair/spec_snqk.cpp: Fixed bugs in format detection and cleaned up code. (#12821) [holub]
 * Use const for things that shouldn't be modified, use snake_case for locals, etc.

New working clones
------------------
Metal Black (World, single PCB) [rtw]
Teenage Mutant Ninja Turtles - Turtles in Time (4 Players ver OAA) [Guru]

New clones marked not working
-----------------------------
Crazy Balls (Bontempi, set 2) [Domenico Cervini]

New software list items marked not working
------------------------------------------
sat_vccart.xml: Victor Twin Operator Video CD & Photo CD (Japan, v4.000) [TeamEurope, CyberWarriorX, cafe-alpha]

-hash/sat_vccart.xml: removed unneeded offset, changed size to hex, demoted everything to unsupported since the softlist isn't even
 hooked up [Ivan Vangelista]

-funtech/supracan.cpp: transfer upper byte for DMA fill in work RAM [angelosa]
 * fix rebelst hex grid display

-funtech/supracan.cpp: add note [angelosa]

-hash/supracan.xml: drop trade entities [angelosa]

-skeleton/bitgraph.cpp: Use memory share to access video RAM [AJR]

-skeleton/bitgraph.cpp: Simplify screen update routine a little more [AJR]

-misc/esd16.cpp: Cleaned up code. (#12823) [cam900]
 * Use appropriately sized integers for tilemap color values.
 * Reduced literal tag usage, improved variable names, use C++ line comments.

-neogeo.xml: Added a newer Gladmort demo. (#12465) [ArcadeShadow]

New working software list addition (neogeo.xml)
-----------------------------------------------
GladMort (demo²) [PixelHeart]

-New systems marked not working (#12816) [Angelo Salese]
 * hitachi/bml3.cpp: initialize in S1 mode
 * hitachi/bml3.cpp: separate mbs1 to own file, add enough meat to make it boot in S1 mode
 * Missed a conflict marker
 * hitachi/mbs1.cpp: QA stub
 * hitachi/bml3.h: reinstate ATTR_COLD

-emu/render.cpp: Always translate coordinates if container is found (fixes GitHub #12817). [Vas Crabb]

-ui/videoopt.cpp, ui/ui.cpp: Allow pressing UI Clear to restore default pointer timeout settings. [Vas Crabb]

-midway/starrider.cpp: Added PROTO 3 program ROMs. [Vas Crabb]

New clones marked not working
-----------------------------
Star Rider (PROTO 3) [Matt Ownby]

-Added ATTR_COLD to common lifecycle methods for many files in src/devices. (#12822) [holub]

-hash/ibm5170_cdrom: Added Zork Nemesis. (#12807) [Mike Swanson]

New working software items (ibm5170_cdrom.xml)
----------------------------------------------
Zork Nemesis: The Forbidden Lands [Mike Swanson]

-Fix clang error: 'pointer_options' defined as a struct here but previously declared as a class; this is valid, but may result in
 linker errors under the Microsoft C++ ABI [-Werror,-Wmismatched-tags]

-igt/gkigt.cpp: cleanup video functions, hookup debug terminal as default [angelosa]

-machine/mc68681.cpp: unambiguous xr68c681 control blocks [angelosa]

-hitachi: Cleanup. [Vas Crabb]

-machine/mc68681.cpp: sc28c94 has 64 registers [angelosa]

-igt/gkigt.cpp: remove most QUART2 overlay hacks [angelosa]

New systems marked not working
------------------------------
Diamond Heart (v1.0) [Ioannis Bampoulas, TeamEurope]

-taito/slapshot.cpp: dumped opwolf3's unprotected PALs [Domenico Cervini, Porchy]

-igt/gkigt.cpp: debug notes, preliminary background layer [angelosa]

-igt/gkigt.cpp: partial decoding of CG ROM regions [angelosa]

New systems marked not working
------------------------------
Dynasty (Ver. 1.02) [Ioannis Bampoulas, TeamEurope]

-igs/igs017.cpp: dumped GFX ROM for tarzanb [Hammy]

-skeleton/whtm68k.cpp: very preliminary GFX and sound [Ivan Vangelista]

New working software list items
-------------------------------
a2600.xml: Dig Dug (PAL, alt) [Guru]

-input_sdl: fix deadlock issue with joystick (remove reset() call during process_event) [hap]

-igt/gkigt.cpp: fix release years for ms3 / bmoonii / ms72c [Dam0]

-igt/gkigt.cpp: notes [angelosa]

-Add skeletons for three new bootlegs on Modular System (#12791) [ClawGrip]

New clones marked not working
-----------------------------
Last Duel (Modular System) [Museo del Recreativo, Recreativas.org]
Power Spikes (Modular System) [Museo del Recreativo, Recreativas.org]
Twin Cobra (Modular System) [Museo del Recreativo, Recreativas.org]

New working clones
------------------
Discs of Tron (Environmental, prototype, 8/9/83) [Peter Roesler, The Dumping Union]

New systems marked not working
------------------------------
Multistar 14, Multistar 5, Double Hearts, Mystic Jaguar [nerd4gw]

-igt/gkigt.cpp: hookup OPLL, irq3 ties with the other QUART [angelosa]

-Add FreeDOS 1.3, remove release candidates (#12776) [Mike Swanson]
 * hash/ibm{5150,5170,5170_hdd,5170_cdrom}: Remove FreeDOS 1.3 RCs
   - These aren't particularly useful releases, and FreeDOS is in no grave danger of losing their development history by excluding
      them from MAME software lists, being an open source project with plentiful of mirrors.

Removed software list titles (ibm5150.xml, ibm5170.xml, ibm5170_cdrom.xml, ibm5170_hdd.xml)
-------------------------------------------------------------------------------------------
FreeDOS 1.3 Release Candidate 1 [Mike Swanson]
FreeDOS 1.3 Release Candidate 2 [Mike Swanson]
FreeDOS 1.3 Release Candidate 3 [Mike Swanson]
FreeDOS 1.3 Release Candidate 4 [Mike Swanson]

-hash/ibm{5150,5170,5170_cdrom}.xml: add FreeDOS version 1.3 [Mike Swanson]

New working software list items (ibm5150.xml, ibm5170.xml, ibm5170_cdrom.xml)
-----------------------------------------------------------------------------
FreeDOS 1.3 [FreeDOS Project]

-hash/ibm5170{,_cdrom}.xml: Move all FreeDOS boot floppies to cdrom [Mike Swanson]
 * These files are inseparatably attached to the CD-ROM releases, as their only purpose is to boot the installer on systems that do
    not support CD-ROM booting.

-hash/ibm5150.xml: Add FreeDOS 1.3 8086 Minimized [Mike Swanson]
 * This is not an official FreeDOS distribution, but it is a useful one for the ibm5150 driver, stripping down the operating system
    into something reasonable to run on the original IBM PC architecture.
 * Useful links about what it is: https://www.youtube.com/watch?v=EOVLlMQs9f8
    https://archive.org/details/free-dos-1.3-8086-minimized

New working software list items (ibm5150.xml)
---------------------------------------------
FreeDOS 1.3 8086 Minimized [AkBKukU]

-hash/ibm{5150,5170}_hdd.xml: Add FreeDOS hard disk images [Mike Swanson]
 * These are just basic installs of the operating system from the installation media.

-igt/gkigt.cpp: suppress SENET readback for now, fix base video ROM banks, document workaround for i960 init crash [angelosa]

-video/upd7220.cpp: clear FIFO and DMA status on RESET command issued [angelosa]
 * fix pc9801rs spindiz2 boot

-hash/pc98.xml: QA demotions [angelosa]

-misc/mcatadv.cpp: Clarified comment about Magical Cat Adventure sound chips. (#12829) [PabloArcade]
 * Specified exact Z80 part used as sound CPU for sound CPU.
 * Noted that Y3106-F DAC is present.

-ibm5170_cdrom.xml: Add EA Sports Cricket 96 (#12819) [Ectoplasm]

New working software list addition:
-----------------------------------
EA Sports Cricket 96 [te_lanus]

New systems marked not working
------------------------------
Triple X [Nigel Barnes, Binary Dinosaurs]

-apple2_cass: Fix filenames for brkocol (#12830) [eientei95]

-irem/m14.cpp: cleanups [angelosa]

-hash/pc98.xml: fix spcstage floppy order [angelosa]

-pc9801: force single width chars in pcg area [cracyc]

New systems marked not working
------------------------------
Carnival (Astro Corp., US.004.D) [Ioannis Bampoulas, TeamEurope]
Santa Claus (IN.001.07.A) [Ioannis Bampoulas, TeamEurope]

-dynax/royalmah.cpp: fixed release year and bootlegger for akamj [Wayder]

-maygay/maygayew.cpp: split the 'altrevs' in proper clone sets [Ivan Vangelista]

-Add a skeleton for Bullion 2, a slot machine from Inder (#12813) [ClawGrip]

New systems marked not working
------------------------------
Bullion 2 [Victor Fernandez (City Game), Recreativas.org]

-machine/spi_sdcard.cpp: Generate appropriate CSD for mounted image. [Vas Crabb]
 * The Linux/4004 firmware gets very upset if the CSD looks like an SDHC Card but the card acts like an SD Card or vice versa.

-machine/spi_psram.cpp: Added SPI ram device compatible with SPI SRAM and Pseudo-SRAM chips for small transfers.  Additional
 functionality will be added as use cases arise. [Vas Crabb]

-cpu/mcs40: Don't log messages about NOP aliases for the 4004 (the Linux/4004 firmware uses these for instrumentation points).
 [Vas Crabb]

-funtech/supracan.cpp: rectify sprite ysizes == 9, skip blank sprites for drawing [angelosa]

-imagedev/floppy.h: Remove #include "screen.h" [AJR]

-machine/spi_sdcard.cpp: More fixes: [Vas Crabb]
 * Send faux CRC status response immediately after receiving data.
 * Allocate a large enough buffer for an SD Card with 2048-byte blocks.
 * Don't indicate partial block read support for SDHC cards.
 * Reject tranfers that cross block boundaries for SD Card (misaligned read support is not flagged as supported).
 * Reject partial block writes and writes that cross block boundaries (also not flagged as supported).
 * Behave a bit better when no card is present.

-emu/debug, osd/modules/debugger/qt: Clean up #includes a bit [AJR]

-primusex: Move to separate driver; add preliminary key matrix, memory map and LCD video [AJR]

new NOT WORKING systems (TV Dear) (#12836)
------------------------------------------
TV Dear [David Haywood, Team Europe]

-tvdear: Use complete system name; split out cartridge; add some RAM and improve ROM mapping [AJR]

New software list items marked not working
------------------------------------------
Shoujo Manga Collection [Team Europe]

-Add a skeleton for IBM ThinkPad 600 series (#12834) [ClawGrip]
 * Add a skeleton for IBM ThinkPad 600 series

New systems marked not working
------------------------------
IBM ThinkPad 600E [ArcadeHacker]

-Add also the ThinkPad 600 model [ClawGrip]

New systems marked not working
------------------------------
IBM ThinkPad 600 [ArcadeHacker]

-tvdear: Add kana title in comment [AJR]

-tvdear: Change release year to match copyright on package [AJR]

-tvdear: This is supposed to have a printer, too [AJR]

-princ.xml: Add subtitle for Pochacco [AJR]

-v25: Add stubs for serial interface registers [AJR]

-cbus/mpu_pc98.cpp: hookup int2 [angelosa]

-hash/a2600.xml: removed unkact2 as it's identical to hardhead [Ivan Vangelista]

-jaleco/acommand.cpp: cleanups [angelosa]

New clones marked not working
-----------------------------
Bullion Blox (BWB) (BVM_____.1__) (MPU4 Video) [Trol]

-thinkpad600: Add missing SEEPROM for ThinkPad 600 and its missing mame.lst entry (#12843) [ClawGrip]

-ibm/thinkpad600.cpp: The 2nd SEEPROM was on the 600E, not on the 600 (#12844) [ClawGrip]
 * Sorry, my bad.

-stkbd: decrease mouse sensitivity [Robbbert]

-mcompgin: improve internal artwork [hap]

New working systems
-------------------
Bridge Computer (Diamond) [hap, Sean Riddle]
Pocket Micro De-Luxe [hap, Sean Riddle]

-sinclair/sprinter.cpp: more precise HALT handling for accel purpose (#12786) [holub]

-vcs_ctrl: Add support for Atari CX22/CX80 Trak-Ball in native trackball mode (#12722) [as-tb-dev]

-bus/vcs_ctrl/trakball.cpp: Fix comment [AJR]

New working clones
------------------
Mirax (set 3) [Roberto Fresca, Gabriel Vega (El Pampa), Emmanuel Firmapaz, Club Argentino de Arcades]

-Changed the manufacturer to 'Current Technology, Inc.' [Roberto Fresca]

-apple2_flop_orig.xml, apple2_flop_clcracked.xml, apple2gs_flop_orig.xml: Added latest dumps and improved metadata. (#12824)
 [A-Noid33]
 * * apple2_flop_orig.xml: Added twenty-one new dumps
 * apple2_flop_clcracked.xml: Added four new dumps (Computer Baseball 1983 Teams split from original since sold separately)
 * apple2gs_flop_orig.xml:  Added six new dumps
 * Improved metadata for all SSI dumps

New working software list items (apple2_flop_orig.xml)
------------------------------------------------------
B-24 (version 1.0) [A-Noid33]
Baltic 1985: Corridor to Berlin (version 1.0) [A-Noid33]
Battalion Commander (version 1.0) [A-Noid33]
Battle of Antietam (version 1.3) [A-Noid33]
Battle of Antietam (version 1.5) [A-Noid33]
Battlecruiser (version 1.0) [A-Noid33]
Battles of Napoleon (version 1.0) [A-Noid33]
Bomb Alley (version 1.0) [A-Noid33]
Breakthrough in the Ardennes (version 1.1) [A-Noid33]
Carrier Force (version 1.0) [A-Noid33]
Champions of Krynn (version 1.0) [A-Noid33]
Champions of Krynn (version 1.1) [A-Noid33]
Colonial Conquest (version 1.1) [A-Noid33]
Computer Air Combat (version 1.0) [A-Noid33]
Computer Air Combat (version 1.1) [A-Noid33]
Computer Ambush (version 1.0 revision 1) [A-Noid33]
Computer Ambush (version 1.0 revision 2) [A-Noid33]
Eagles (version 1.0) [A-Noid33]
Fifty Mission Crush (version 1.1) [A-Noid33]
Fifty Mission Crush (version 1.2) [A-Noid33]
Fighter Command (version 1.0) [A-Noid33]

New working software list items (apple2_flop_clcracked.xml)
-----------------------------------------------------------
Battle of Antietam (version 1.3) (4am and san inc crack) [A-Noid33]
Computer Bismarck (version 1.1) (4am and san inc crack) [A-Noid33]
Computer Baseball 1983 Teams Disk (4am and san inc crack) [A-Noid33]
RoadWar 2000 (version 1.1) (4am crack) [A-Noid33]

New working software list items (apple2gs_flop_orig.xml)
--------------------------------------------------------
Time Pilot (version 1.2) [Stefan Wessels, Antoine Vignau, Brutal Deluxe Software, A-Noid]
Time Pilot (version 1.3) [Stefan Wessels, Antoine Vignau, Brutal Deluxe Software, A-Noid]
Time Pilot (version 1.4) [Stefan Wessels, Antoine Vignau, Brutal Deluxe Software, A-Noid]
Time Pilot (version 1.5) [Stefan Wessels, Antoine Vignau, Brutal Deluxe Software, A-Noid]
Time Pilot (version 1.5.A) [Stefan Wessels, Antoine Vignau, Brutal Deluxe Software, A-Noid]
Time Pilot (version 1.6) [Stefan Wessels, Antoine Vignau, Brutal Deluxe Software, A-Noid]

Halls of Montezuma is distributed by Strategic Studies Group (SSG)
------------------------------------------------------------------
Co-authored-by: Bob Schultz <bobschultz03@gamil.com> [A-Noid33]

-hash/ibm5170_cdrom.xml: add Duke Nukem Kill-A-Ton Collection (#12808) [Mike Swanson]

-ibm/thinkpad600.cpp: hookup base chipset [angelosa]

-cpu/nec/v25sfr.cpp: Logging fixes [AJR]

-warpwarp_a/geebee: update sound stream before volume decay [hap]

-to8, to9, to9p: Fix mapping of monitor ROM area [AJR]
 * to7: Change CPU type to MC6809

-jaleco/acommand.cpp: port over cischeat_draw_sprites [angelosa]

-thomson/thomson.cpp: CPU type fix fixed [AJR]

-machine/i82371sb.cpp: reduce PIT range [angelosa]

-to8, to9, to9p: Split out serial keyboards as separate devices [AJR]

-pc9801: try again to handle pcg chars [cracyc]

-hash/pc98.xml: QA update, promote molemole [angelosa]

-ibm/thinkpad600.cpp: hookup Super I/O [angelosa]

-ibm/thinkpad600.cpp: swap boot banks, make it go standard x86 POST [angelosa]

-homebrew/linux4004.cpp: Emulated Linux/4004 board. [Vas Crabb]
 * VFD is not emulated, but all other features are present.

-machine/sc16is741.cpp: Emulated basic SC16IS741A UART functionality in SPI interface mode. [Vas Crabb]

-macine/spi_sdcard.cpp: Improved interface logic: [Vas Crabb]
 * Start in unprotected mode as specified by the standard.
 * Ignore stop bits in unprotected mode - apparenty real cards do this.
 * Set protected or unprotected mode in response to CMD59.
 * Reset SPI logic when initially selected.

-machine/spi_psram.cpp: Started adding PSRAM QPI functionality. [Vas Crabb]

-emu/diserial.cpp: Got rid of the per-instance parity lookup table. [Vas Crabb]

New working systems
-------------------
Dmitry Grinberg Linux/4004 [Vas Crabb]

New working software list items (lnux4004.xml)
----------------------------------------------
uMIPS Linux 4.4.292+ [Vas Crabb]

-igs/igs_m027xa.cpp: Dumped internal CPU ROM for Crazy Bugs (V103JP). (#12847) [mamehaze]

Systems promoted to workin
--------------------------
Crazy Bugs (V103JP) [buffi, Peter Wilhelmsen, XingXing]

-bus/spectrum: Added The Music Machine (MIDI I/O expansion). (#12842) [holub]

-midway/cashline.cpp: Added a skeleton driver for the Bally/Sente Cashline slot machine. (#12838) [ClawGrip]

New systems marked not working
------------------------------
Bally/Sente Cashline [Vicente y Sergio de ElectronicaVyS]

-skeleton/bullion2.cpp: Marked Inder Bullion 2 as mechanical. [ClawGrip]

-mc6843: Fixes and improvements [AJR]
 * Make Seek Track Zero issue step pulses when the track 0 sensor is off rather than on
 * Enable IRQ output from device (bml3 software needs this)
 * Issue Status Sense Request in PC I/O mode, not DMA mode
 * Raise Seek Error if STZ command doesn't end at track 0
 * Add settle timeout for head unload after certain commands
 * Enhance logging messages but hide them behind logmacro compilation switches

-to_flop.xml: Add notes [AJR]

-igs/igs_m027xa.xpp: Fixed inputs for Crazy Bugs (V103JP). [Vas Crabb]
 * The hopper is hooked up because an input for it appears in the I/O test, however both the Payout and Ticket buttons seem to use
    the ticker dispenser to pay out credits.

-machine/sc16is741.cpp: Implemented CTS/RTS deasserted interrupt. [Vas Crabb]

-bus/spectrum/musicmachine.cpp: Get device out of global namespace, and some cleanup. [Vas Crabb]

-lnux4004.xml: Include Linux distro in software item description. [Vas Crabb]

-jaleco/bestleag.cpp: cleanups [angelosa]

-bus/spectrum/musicmachine.cpp: confirm port decoding; fix save state (#12853) [holub]

-homelab: fix array OOB crash [hap]

New working clones
------------------
Jungle King (V103A) [Ioannis Bampoulas, TeamEurope]

New systems marked not working
------------------------------
Super 70's (V100US) [Ioannis Bampoulas, TeamEurope]

-astrocorp/astropc.cpp: verified chip under heatsink for recently added sets [TeamEurope]

-igs/igs017.cpp: verified cpoker2 dump with another PCB  [Ioannis Bampoulas, TeamEurope]

-jaleco/ddayjlc.cpp: hookup i8257 in place of custom code [angelosa]

-taito/taito_f2.cpp: Added note about alternate qcrayon sprite ROM. [Vas Crabb]

-jaleco/bestleag.cpp: Screen update functions aren't cold. [Vas Crabb]

-machine/sc16is741.cpp: Actually assert IRQ output on CTS/RTS interrupt. [Vas Crabb]

-ioport: Add piano keyboard definitions and automatic names [Olivier Galibert]

-ioport.h: Preemptive srcclean [AJR]

-Mumble mumble spaces mumble [Olivier Galibert]

-emu/ioport.cpp: Improved validation of DIP switch locations. [Vas Crabb]
 * Treat an empty switch name as an error.
 * Treat a non-positive switch number as an error.
 * Also allocate fewer temporary strings.

-verifone/tranz330.cpp: Update the one thing that doesn't use the standard macros. [Vas Crabb]

-tvdear: Add preliminary keyboard matrix [AJR]

-funworld/snooker10.cpp: identified manufacturer for tenballs, using original program ROM [Ivan Vangelista]

-bus/isa/hpblp.cpp: fixed validation [Ivan Vangelista]

-upd765: don't enable_transfer after tc [cracyc]

-nec/pc9801_v.cpp: kanji attribute doesn't want tile_lr [angelosa]

-hash/pc98.xml: fix lammal boot order, misc QA [angelosa]

-upd765: indicate ready status in polling irq sense [cracyc]

-misc/mirax.cpp: Minor cleanups: (#12857) [cam900]
 * Use more appropriate types for some variables.
 * Simplified graphics ROM decoding.
 * Reduced literal tags, made some variables const, improved ROM region and variable names.

-sound/k054539.cpp: Corrected reverb RAM size and addressing. (#12856) [JOTEGO]
 * Top address bit for the 32K RAM is bit 16, rather than the intuitive bit 14.

-snk/ngp.cpp: Improved real-time clock behavior - fixes MT05279. (#12855) [wilbertpol]

-sound/k054539.cpp: Fix build [AJR]

-docs: Improved notes about DirectX SDK and added a link in compiling instructions. (#12848) [veganaiZe]
 * Also fixed typo "SDL" in place of "SDK".

-coleco_homebrew.xml: Added fourteen working items. (#12796) [ArcadeShadow]

New working software list additions (coleco_homebrew.xml)
---------------------------------------------------------
Air Battle [colecovision.dk]
Bejeweled (v2001) [colecovision.dk]
Bunny [colecovision.dk]
BUsTin-Out Volume 1 [colecovision.dk]
BUsTin-Out Volume 2 [colecovision.dk]
Commando Returns (demo) [colecovision.dk]
Double Breakout [colecovision.dk]
Ghostblaster (rev. B) [colecovision.dk]
Le Château du Dragon [colecovision.dk]
Osotos [Inufuto]
Quiz Wiz [colecovision.dk]
Search for the Stolen Crown Jewels 1 (demo) [colecovision.dk]
Search for the Stolen Crown Jewels 2 (demo) [colecovision.eu]
Search for the Stolen Crown Jewels 3 (demo v2011) [colecovision.eu]

-famicom_flop.xml, ,nes.xml, snes.xml: Add (s)NESert Golfing games. (#12751) [Mike Swanson]
 * Old versions no longer available fore download were rebuilt from source.

New working software list items (famicom_flop.xml)
--------------------------------------------------
NESert Golfing (v1.5) [rainwarrior]
NESert Golfing (v1.4) [Mike Swanson]

New working software list items (nes.xml)
-----------------------------------------
NESert Golfing (v1.5) [rainwarrior]
NESert Golfing Tournament Edition (v1.4) [Mike Swanson]
NESert Golfing (v1.4) [Mike Swanson]
NESert Golfing (v1.3) [Mike Swanson]
NESert Golfing (v1.2) [Mike Swanson]
NESert Golfing (v1.1) [Mike Swanson]
NESert Golfing (v1.0) [Mike Swanson]

New working software items (snes.xml)
-------------------------------------
sNESert Golfing [rainwarrior]

-machine/sc16is741.cpp: Fixed bad if/else matching breaking THR interrupt logic. [Vas Crabb]

-pinball/inder.cpp: Dumped ROMs from "bonus expansion board" used by Moon Light. (#12841) [jordigahan]
 * This board is used for driving lamps.  It is described in the manual and schematics.

-cmi01a: Add filters [Olivier Galibert]

-polysix: Separate polysix and poly-61 since they won't actually be similar once not skeleton [Olivier Galibert]

-nec/pc9801.cpp: kanji window don't bother with LR setting [angelosa]

-sinclair/chloe.cpp: Added external PC keyboard support; Fixed ULA attributes decoding (#12845) [holub]

-sinclair/screen_ula.cpp: Fixed attributes decoding. [holub]

-sinclair/tsconf.cpp: Document DMA controller clock source. [holub]

New systems marked not working
------------------------------
Jungle King (V302US) [Ioannis Bampoulas, TeamEurope]

New working software list items
-------------------------------
pc98.xml: Mirror, Mime, Wakusei Omega no Q Ouji [Neo Kobe]

New software list items marked not working
------------------------------------------
pc98.xml: Twilight [Neo Kobe]

-misc/mosaic.cpp: Minor cleanups: (#12863) [cam900]
 * Suppress side effects for debugger reads.
 * Use more appropriate types for some integer variables.
 * Use generic graphics decoding layouts, made CPU ROM region size match size of ROM.

-hash/nes.xml: Verified content for several NESert Golfing games. (#12859) [Mike Swanson]
 * Versions 1.0-1.3 and 1.4 was located by the author.
 * Also marked early versions as beta releases as recommended by the author.

-asteroid: Set the watchdog frequency. (#12866) [Mike]

-snk/k1ge.cpp: Implement device_palette_interface. (#12864) [wilbertpol]

-igs/igs_m027.cpp: Added Chaoji Dou Dizhu Jiaqiang Ban. (#12865) [mamehaze]

New working systems
-------------------
Chaoji Dou Dizhu Plus (S300CN) [XingXing]

-igs/igs_m027.cpp: Fixed I/O and DIP switches for cjddzp. [Vas Crabb]

-hash/thinkpad8xx.xml: Added AIX 4 (not working). (#12832) [ClawGrip]
 * Also added some metadata to AIX 4.1.5.

New software list items marked not working
------------------------------------------
thinkpad8xx.xml: IBM AIX 4 [OS/2 Museum, ClawGrip]

-misc/multfish.cpp: Minor cleanups: (#12862) [cam900]
 * Use more appropriate types for integer variables, and made some variables constant.
 * Allocate video RAM on start, and reduced run-time tag lookups.
 * Improved some function and variable names, and reduced use of static functions and preprocessor macros.
 * Cleaned up spacing, and converted single-line comments to C++ line comments.

-machine/timekeeper.cpp: Suppress side effects for debugger reads. [cam900]

-misc/multfish_boot.cpp: Converted single-line comments to C++ line comments. [cam900]

-zx81_cass.xml: Added 31 items (30 working). (#12858) [ArcadeShadow]

New working software list items (zx81_cass.xml)
-----------------------------------------------
Ant Attack [Bob's Stuff]
Avalanche [Revival Studios]
Argolath [Spectrum Computing]
Bar Billards [Spectrum Computing]
Boulder Logic [Bob's Stuff]
Bigg Oil [Spectrum Computing]
Budget Familial [Spectrum Computing]
Budget Familial (alt) [Spectrum Computing]
Casse-Briques + Pendu [Team Zeddy, Planeta Sinclair]
Chiromancie [Spectrum Computing]
Crozxy Road [Bob's Stuff]
Domin8tr1s [Bob's Stuff]
Down! [Revival Studios]
Impact [Bob's Stuff]
Jogos 3 [Planeta Sinclair]
Mayhem [Revival Studios]
Miner Man [Bob's Stuff]
Noir Shapes [Bob's Stuff]
One Little Ghost [Bob's Stuff]
Pandemic [Bob's Stuff]
Panique [Team Zeddy, Planeta Sinclair]
Quack! [Bob's Stuff]
Rebound [Bob's Stuff]
Rigel [Spectrum Computing]
Shrooms [Bob's Stuff]
Stairrunner [Revival Studios]
Steps [Bob's Stuff]
U-Bend [Bob's Stuff]
Virus [Bob's Stuff]
ZXagon [Bob's Stuff]

New software list items marked not working (zx81_cass.xml)
----------------------------------------------------------
3D 3D! [Spectrum Computing]

Removed sets - duplicate, same as parent (zx81_cass.xml)
--------------------------------------------------------
The Flight Simulator (Timex) [ArcadeShadow]
Flug-Simulation [ArcadeShadow]

New systems marked not working
------------------------------
Sunset Riders / Super Street Fighter II - The New Challengers (scrambled bootleg of Mega Drive versions) [Hammy]

-sega/megadriv_acbl.cpp: updated comments to better show the driver includes two different types of PCBs [Hammy]

-igs/igs_m027.cpp, igs/igs_m027xa.cpp: Miscellaneous improvements: [Vas Crabb]
 * igs/igs_m027.cpp: Added memory clear switch to clear memory contents when power is removed (hard reset with the switch on to
    clear NVRAM).
 * igs/igs_m027xa.cpp: Got rid of hopper from Crazy Bugs (V103JP) since there appears to be no way to use it and exposed hopper
    switch as a user input so it can still be tested.
 * igs/igs_m027xa.cpp: Got rid of third bank of DIP switches from Crazy Bugs (V103JP) as comments indicate it isn't physically
    present (although it is displayed in the input test).
 * Use mnemonic short names for clones.

-igs/igs_m027.cpp: Fixed title for lhdmgp. [Vas Crabb]
 * Also added version numbers from service mode or bookkeeping to descriptions, and added comments where displayed version number
    doesn't match what was already in the description.

-util/chd.cpp, util/chdcodec.cpp: Made some APIs return errors rather than throwing exceptions. [AJR]
 * Mostly salvaged from 901a68e2e0bb0d9178ffdb59e128718c1495250f.

-msm665xx: Minor register update [AJR]

-Add a skeleton for DASH4 Debug Adapter for SH CPUs (#12790) [ClawGrip]
 * Add a skeleton for DASH4 Debug Adapter for SH CPUs

New systems marked not working
------------------------------
DASH4 Debug Adapter [Arcade Hacker]

-Remove "Ltd." from system name [ClawGrip]

-Add a note about HASP parallel port dongle [ClawGrip]

New working clones
------------------
1945k III (Promat license, OPCX1 PCB) [System11, The Dumping Union]

-chd.cpp: More API changes [AJR]
 * Have metadata_find return std::error_condition instead of throwing an exception
 * Replace the is_XXX predicates with check_is_XXX methods that return a std::error_condition, enabling improved error reporting for
    cdrom_image_device
 * Retain read error information in chd_file_compressor
 * Make a bunch of methods noexcept
   - This mostly restores the changes from cc772072fa635146b1df39a5694d2a8f8aa5a34f.

-tools/chdman.cpp: Throw errors when examining metadata to determine compression defaults [AJR]

-util/chd.cpp: Made a few more member functions return error conditions. [Vas Crabb]
 * Also mark error paths as unexpected to optimise against them.

-bus/a2bus/suprterminal.cpp: Initialize m_bC800IsRAM on start. (#12872) [Roman Donchenko]
 * Fixes unpredictable RAM/ROM mapping in C800 range if not set by writing to C0n2 or C0n4 first.

-Use qmake to query Qt libexec directory to find moc. (#12870) [Michael Cho]

-efo/cidelsa.h: Verified clocks for Cidelsa's Destroyer and Altair. (#12868) [Recreativas.org]

-Added a number of TV games and cartridges. (#12850) [mamehaze]

New working systems
-------------------
265-in-1 Handheld Game (SPG2xx based) [David Haywood, TeamEurope]
Epoch / SSD Company LTD mini-moni Stage! Dance Dapyon! (Japan) [David Haywood, TeamEurope, Peter Wilhelmsen]
Epoch / SSD Company LTD mini-moni Stage! Dance Dapyon! Plus (Japan) [David Haywood, TeamEurope]
Takara / SSD Company LTD All-Star Kansha-sai Chou Gouka! Quiz Kettieban: Akasaka 5-choume Taikan Studio (Japan)
  [David Haywood, TeamEurope, Peter Wilhelmsen]
Takara / SSD Company LTD Bakushin Sno-Bo - Gingin Boarders (Japan) [David Haywood, TeamEurope, Peter Wilhelmsen]

New working clones
------------------
Sega Toys Mega Drive Play TV 2 (Japan) [David Haywood, TeamEurope]
Sega Toys Mega Drive Play TV 3 (Japan) [David Haywood, TeamEurope]

Systems promoted to working
---------------------------
dreamGEAR My Arcade Gamer Mini 160-in-1 (DGUN-2953) [David Haywood]
Fizz Creations Arcade Classics Mini Handheld Arcade (Supreme 150) [David Haywood]
Fizz Creations Mini Arcade Console (Arcade 10-in-1) [David Haywood]
Millennium 2000 GmbH Millennium Arcade 250 (M527) [David Haywood]
Orb Retro Arcade Game Controller 153-in-1 [David Haywood]
Orb Retro Handheld Console 152-in-1 [David Haywood]
Takara / SSD Company LTD Taiko de Popira (Japan) [David Haywood]

New systems marked not working
------------------------------
Bandai Anpanman TV (Japan) [David Haywood, TeamEurope]
Color LCD Classic Game 200-in-1 [David Haywood, TeamEurope]
Epoch TV Globe (Japan) [David Haywood, TeamEurope]
Epoch / SSD Company LTD Goal Kimeruze! Excite Striker (Japan) [David Haywood, TeamEurope]
Epoch / SSD Company LTD Ham-chans Dai Shuugou Dance Surunoda! Hashirunoda! (Japan) [David Haywood, TeamEurope]
Epoch / SSD Company LTD Hanshin Tigers Excite Stadium DX (Japan) [David Haywood, TeamEurope, Peter Wilhelmsen]
Epoch / SSD Company LTD TV-PC Tottoko Hamutaro (Japan) [David Haywood, TeamEurope]
Mini Arcade Handheld Game Console 2.8 Inch Screen Built in 156 Retro Games (Mega Drive handheld) [David Haywood, TeamEurope]
Pocket Game / Game Computer Pocket Game 118-in-1 / Game Computer 118-in-1 [David Haywood, TeamEurope]
Premier Portfolio International Classic Max Pocket PCMX11 - 12 in 1 Colour Games Console (France) [David Haywood, TeamEurope]
Shenzhen Shiji New Technology Tou ma Pet [David Haywood, TeamEurope]
Sega Toys / SSD Company LTD Bistro Kids: Boku mo Watashi mo Kok-san! (Japan) [David Haywood, TeamEurope, Peter Wilhelmsen]
Takara / SSD Company LTD Comet-san Lovelin Baton (Japan) [David Haywood, TeamEurope]
Takara Tomy Pocket Monsters PC [TeamEurope, Peter Wilhelmsen]
Takara Tomy Pocket Monsters Rotom Tablet [TeamEurope, Peter Wilhelmsen]
Tomy / SSD Company LTD Disney Princess Kirakira Mahou no Lesson (Japan) [David Haywood, TeamEurope]
YSN Play Portable Color GameU+ (50-in-1) (Japan) [David Haywood, TeamEurope]

New software list items marked not working (hikara.xml)
-------------------------------------------------------
Hi-kara 20-song capacity user cartridge (blank) (Japan) [David Haywood, TeamEurope]
Hi-kara PIZZA-LA [David Haywood, TeamEurope]

New software list items marked not working (super_tv_pc_cart.xml)
-----------------------------------------------------------------
Doraemon Excite Ping-Pong [David Haywood, TeamEurope]

-concept: Add NO_DUMP entry for 6801 microcontroller [AJR]

-fm77av.xml; fm7_disk.xml; dragon_cass.xml; dragon_flex.xml: Avoid unnecessary abbreviations and use lowercase for descriptive text
 in descriptions. (#12873) [ArcadeShadow]

-bus/a2bus/suprterminal.cpp: Allow mapping control via C0Bx reads. (#12876) [Roman Donchenko]
 * C0B2, C0B4 and C0B6 react to both reads and writes according to the manual.

-util/chd.cpp, util/chdcodec.cpp: Added a safer way to let codecs do special stuff with hunks. [Vas Crabb]

-jarajal: Use romanization found on title screen and packaging [AJR]

-addrmap: Allow ioport finders in portr/w/rw [Olivier Galibert]
 * Convert a number of drivers to use ioport finders in the memory map.
 * This is not entirely gratuitous.  The idea is to ensure all the ports are in the class, so that eventually ioport finders become
    ioport creators.  The ultimate aim is to C++-ify port descriptions which would be made way nicer by getting rid of the need for
    PORT_START.

-rm/rm380z.cpp: Split RM480Z out to its own driver with MQ2 floppy drive support (#12576) [Robin Sergeant]

-cpu/m68000: Rename m_instruction_restart to m_can_instruction_restart to clearly distinguish from m_restart_instruction (#12869)
 [Adam Billyard]

-acorn/bbc.cpp, alpha/equites.cpp: Fix validation [AJR]

-cpu/m68000: Don't emulate byte smearing for the 68040, and fix disabling the FPU for the 68030. [R. Belmont]

-scptchess: rename to scpchess, misc: small cleanup [hap]

-mcompgin: add svg screen for lcd [hap, Sean Riddle]

New systems marked not working
------------------------------
Chaoji Dou Dizhu Liang Fu Pai [dyq, little0, Guru]

New working clones
------------------
Chaoji Damanguan II (China, V754C, set 2) [dyq, little0, Guru]

New clones marked not working
-----------------------------
Chaoji Dou Dizhu (V219CN) [dyq, little0, Guru]
Chaoji Dou Dizhu (V217CN) [dyq, little0, Guru]
Long Hu Zhengba III (unknown version, set 1) [dyq, little0, Guru]
Long Hu Zhengba III (unknown version, set 2) [dyq, little0, Guru]
Long Hu Zhengba 4 (V203CN) [dyq, little0, Guru]

-igs/igs_m027.cpp: renamed Long Teng Hu Yue to Long Teng Hu Yue Duizhan Jiaqiang Ban, as per title screen [dyq]

-nec/pc9801_v.cpp: beast3 uses PCG LR from the tile attribute alias [angelosa]

-hash/pc98.xml: bump QA [angelosa]

-psion/psionhc.cpp: Added ROM version V1.64F [The Last Psion]

-bus/psion/honda: Added PC Link and Parallel Printer Link cables (not working). [Nigel Barnes]
 * bus/psion/honda/ssd.cpp: Added Honda serial port.
 * bus/psion/module: Added Psion RS232/Parallel Module.

-mtx_rom.xml: Corrected dataarea names (fixes MT08925). [Nigel Barnes]

-Upgrade checkout and upload-artifacts actions (#12880) [Margen67]

-sinclair/sprinter.cpp: Added 2 full joysticks support (#12878) [holub]

-8080bw.cpp: Change Jatre Specter to licensed (#12875) [David 'Foxhack' Silva]
 * 8080bw.cpp: Change Jatre Specter to licensed As described in MT 08149, Jatre Specter was licensed by Taito.

-tvgames/* Documentation and metadata updates (#12874) [mamehaze]

-tomshoot: Use full Japanese title instead of rough translation [AJR]

-igs/igs_m027.cpp: Cleaned up added Long Hu Zhengba 4 and Chaoji Dou Dizhu versions: [Vas Crabb]
 * Confirmed I/O and DIP switches match other games.
 * Corrected title for Long Hu Zhengba 4 Dui Hua Ban.
 * Removed parent/clone relationship for Long Hu Zhengba 4 Dui Hua Ban.

-igs/igs_m027.cpp: Changed lthyp description to use the reading used in the attract mode voice sample. [Vas Crabb]
 * Also added some notes about DIP switch settings.

New systems marked not working
------------------------------
Ming Xing San Que Yi (China) [dyq, little0, Guru]

-igs/igs_m027.cpp: trojaned internal ROMs for cjddzlf, lhzb3unk, lhzb3unk2 [Guru]

-igs/igs017.cpp: Fixed DIP switches and improved inputs for Chaoji Da Manguan II games. [Vas Crabb]

-igs/igs_m027.cpp: Confirmed I/O is correct for Chaoji Dou Dizhu Liang Fu Pai and added Chinese title to comment. [Vas Crabb]

-igs/igs_m027.cpp: made the 2 lhzb3unk sets boot [Ivan Vangelista]

New systems marked not working
------------------------------
Miracle 7 - Heaven's Gate (Japan, v1.0.2) [Hammy, nnap]

-igs/igs_m027.cpp: Hooked up I/O for Long Hu Zhengba III Shengji Ban. [Vas Crabb]
 * Also verified I/O for Long Hu Zhengba III (V106C5M).

Systems promoted to working
---------------------------
Long Hu Zhengba III Shengji Ban (V300C5) [Vas Crabb]

-igs/igs_m027.cpp: Hooked up sound banking for Long Hu Zhengba III Shengji Ban. [Vas Crabb]

Systems promoted to working
---------------------------
Fever 13 (Japan, v1.3) [Angelo Salese, Hammy]
Miracle Seven - Heaven's Gate (Japan, v1.0.2) [Hammy, nnap]
Poker & 21 [Angelo Salese]

-igs/igs_m027c.cpp, igs/pgmcrypt.cpp: got rid of duplicate methods [Ivan Vangelista]

-igs/igs017.cpp: Fixed DIP switches and cleaned up inputs for Manguan Caishen. [Vas Crabb]

-86f_dsk: add read 86f image support [cracyc]

-86f_dsk.h: Fix build error with certain libraries [AJR]

-pc9801: if neighboring char tiles have the same code then draw them as left and right [cracyc]

-hooked igs_m027_023vid.cpp to PGM video system (made 023 video a device) - game runs attract demo (#12881) [mamehaze]

New clones marked not working
-----------------------------
Long Hu Zhengba 2 (China, VS105M, set 1) [dyq, little0, Guru]
Long Hu Zhengba 2 (China, VS105M, set 2) [dyq, little0, Guru]

New systems marked not working
------------------------------
Super Tuo La Ji Plus (V206CN) [dyq, little0, Guru]

-igs/igs017.cpp: corrected sprites' ROM for lhzb2b and lhzb2c. Turns out they are actually Long Hu Zhengba (they don't have the 2).
 [Ivan Vangelista]

-igs/igs_m027.cpp, igs/igs017.cpp: Mostly input improvements: [Vas Crabb]
 * igs/igs_m027.cpp: Corrected Chaoji Tuolaji inputs (same as Long Hu Da Zhengba 4).
 * igs/igs_m027.cpp: Corrected Chaoji Tuolaji M6295 sound chip frequency.
 * igs/igs017.cpp: Corrected Long Hu Zhengba 2 DIP switch settings and cleaned up inputs.
 * igs/igs017.cpp: Corrected Manguan Daheng DIP switch settings and started cleaning up inputs.
 * igs/igs017.cpp, igs/igs_m027.cpp: Reduced repetition in inputs a little, made conventions a bit more consistent across files, and
    corrected a few comments.

-primo: some PORT_CHAR corrections, small cleanup [hap]

New working systems
-------------------
Electronic Trio [hap, Sean Riddle]
Kasparov Mk 12 [hap, Sean Riddle]

New working clones
------------------
Kasparov Pocket Chess [hap, Sean Riddle]
Pocket Checkers [hap, Sean Riddle]
Kasparov Pocket Plus [hap, Sean Riddle]

-video/upd7220.cpp: fix sync position [angelosa]
 * fix pc98:daremo booting

-source org: move dedicated dave soundchip to enterprise folder [hap]

-st9: Fix disassembler mnemonics for CPJFI/CPJTI [AJR]

-fix error handling (nw) [smf-]

-emu/ioport.h: Made syntax for configuring callbacks more consistent. [Vas Crabb]
 * You now use FUNC or NAME to configure port field callbacks, like you would when configuring other kinds of callbacks.  This has a
    number of benefits:
   - No need to remember different syntax for port field callbacks, and more approachable for new contributors.
   - May use function templates with multiple arugments using NAME((&...)) syntax without resorting to another layer of macros.
   - May use non-member functions on the odd chance it's useful.
   - More natural syntax for referring to member functions.

-nec/pc9801_v.cpp: reverse attribute will draw opaque on Y char limit [angelosa]
 * fix daremo intro

-nec/pc9801_v.cpp: kanji select takes over semigraphics [angelosa]
 * fix beatvice bitmap layer masking on edges during gameplay

-igs/igs_m027_023vid.cpp: fix external IRQ generation (#12887) [XingXing]

New working clones
------------------
Raiden II (Great Britain) [Domenico Cervini]

-igs/igs_m027.cpp: confirmed some more internal ROM dumps [Guru]

-igs/igs017.cpp: More input improvements: [Vas Crabb]
 * Fixed DIP switches for Long Hu Zhengba, Shuang Long Qiang Zhu 2, Tian Jiang Shen Bing and Tarzan Chuang Tian Guan.
 * Cleaned up inputs for Shuang Long Qiang Zhu 2, Tian Jiang Shen Bing and Tarzan Chuang Tian Guan.
 * Removed mahjong keyboard row that isn't read from Tarzan Chuang Tian Guan.

-igs/igs_m027.cpp: Changed Chaoji Tuolaji MSM6295 clock to 2MHz with pin 7 low, and added a note about the game using inputs that
 aren't shown in test mode. [Vas Crabb]

-nfd_dsk: fm should be cell_count / 2 [cracyc]

-igs/igs017.cpp: Use slots input types for Tarzan Chang Tian Guan in "joystick" mode to make playing slightly less confusing.
 [Vas Crabb]

-nec/pc9801.cpp: FDC uses DMA CH. 3 when in 2dd mode [angelosa]

-video/upd7220.cpp: return 0xff on FIFO underflows [angelosa]
 * fix pc9821:skinpan intro hang

-pc98.xml: convert fix format images to d88 except ones that don't work [cracyc]

-pc98.xml: replace aigo3 with d88 image [cracyc]

-igs/igs_m027_023vid.cpp: Hooked up I/O for Mingxing San Que Yi. [Vas Crabb]

-igs/igs017.cpp, igs/igs_m027.cpp: Added notes about game controls. [Vas Crabb]

-video/upd7220.cpp: ignore parameters beyond first one for pitch command [angelosa]
 * fix pc9801:burai intro MAME crash

-igs/igs_m027_023vid.cpp, igs/pgm.cpp: removed unneeded trampoline [Ivan Vangelista]

-igs/igs_m027_023vid.cpp: Added notes, promoted mxsqy to working with imperfect graphics. [Vas Crabb]

Systems promoted to working
---------------------------
Mingxing San Que Yi [David Haywood, XingXing, Vas Crabb]

New working clones
------------------
Labyrinth Runner (World Ver. F) [Hammy]

-hash/pc98.xml: reorganize to better defined sections [angelosa]

-hash: get rid of info user_notes [angelosa]
 * Either use info usage or actual notes field depending on use cases.

-hash/pc98.xml: more categorization setups, get rid of boot OK comments, misc conversions of cloneof to info datadisk [angelosa]

-ussr/bk: attach floppy (#12889) [shattered]
 * cpu/t11: VM1 does not use RMW bus transaction for MOV and MOVB insns (fixes writing to floppy)

-sega/model2.cpp: Fix ROM locations for 'Desert Tank' [Tailsnic Retroworks] (#12888) [ClawGrip]

-Add a Skeleton driver for Cirsa "2080606" slot machines hardware (#12592) [ClawGrip]
 * Add a Skeleton driver for Cirsa "2080606" slot machines hardware

New systems marked not working
------------------------------
La Máquina del Tiempo [Recreativas.org]

-Add Linksys PAP2 again (#12854) [Octocontrabass]

New machines marked as NOT_WORKING
----------------------------------
Linksys PAP2 [unknown]

-ibm5170_cdrom, mac_cdrom: Quake and id Anthology release (#12793) [Mike Swanson]
 * Replace existing Quake with a good dump
 * Add more Quake variants
 * Add missing id Anthology disc 4 (Mac)
 * Point id Anthology disc 3 to quake

New working software items (ibm5170_cdrom.xml)
----------------------------------------------
Quake 1.06 (DOS, Windows) [chungy]
Quake 1.09 (Windows) [chungy]
Quake Shareware 1.01 [chungy]
Quake Shareware 1.01 (TestDrive) [chungy]
Quake Mission Pack 1: Scourge of Armagon [chungy]
Quake Mission Pack 2: Dissolution of Eternity [chungy]

New working software items (mac_cdrom.xml)
------------------------------------------
id Anthology [chungy]

-pc98.xml: fix beastlr2 sha1 [cracyc]

New systems marked not working
------------------------------
Triple Play (Spanish) [Roberto Fresca]

-gkigt.cpp driver improvements. Identificated the Triple Play set. Changed description to Triple Play (M0000230, Spanish).
 [Roberto Fresca]

-upd765: reset st0 when starting a seek and fail if drive isn't ready [cracyc]

-hash/pc98.xml: QA [angelosa]
 * fix 98lespro, 98lespr2 publisher
 * fix solitaira SHA1

New working software list items
-------------------------------
pc98: Classic Road 3 [Neo Kobe]

-taito/retofinv.cpp: Added a Return of the Invaders bootleg from Video Dens. (#12884) [ClawGrip]

New working clones
------------------
Return of the Invaders (Video Dens bootleg, without MCU) [Rubén Casaña (Retro Arcadia), Isaías Hernández]

-tecmo/tecmo.cpp: Reduced literal tags and cleaned up code. (#12469) [cam900]
 * Use I/O port array finder for DIP switches, made some variables const.
 * Use C++ line comments for single-line comments, added notes.

-igs/igs_m027.cpp, igs/igs_m027_023vid.cpp: Hide inactive inputs for more games. [Vas Crabb]

-Tidied up some recent changes. [Vas Crabb]

-apple/apple2e.cpp: Fix behavior of $c02x softswitches to match behavior of hardware (#12894) [Dennis Munsie]

-hash/pc98.xml: split PC Training Disk from n88bas61, misc shuffling and QA [angelosa]

-nec/pc9801.cpp: kanji PCG MMIO window actually wants the LR setting [angelosa]

-misc/mjsenpu.cpp: Cleaned up code: (#12885) [cam900]
 * Use palette_device handlers for palette.
 * Corrected video RAM width, and changed to allocate on start.
 * Constrain screen update to clipping rectangle.
 * Fixed input matrix reading.
 * Reduce literal tags, changed logging to use logerror, made come variables const.
 * Reduce duplication, and improved ROM region names.
 * Added notes about languages for in-game text and voice samples.
 * Use C++ line comments for single-line comments.

-upd7801: Reduce prescaling of timer value when loaded by STM. Fixes speed issues in various scv games. [AJR]

-misc/mjsenpu.cpp: Fixed I/O and DIP switch settings. [Vas Crabb]
 * This makes it possible to complete a game with either mahjong keyboard or joystick controls.

-cpu/powerpc: Fix QNan check (#12896) [toxie]
 * a) all constants were one digit too short b) the payload was always expected to be 0 (which is just a special case qnan (Real
    Indefinite) though)

-pc98_dsk: handle 256bps images [cracyc]

-z180asci: Fix calculation of framing and parity errors [AJR]

-horseran: add svg screen for lcd [hap, Sean Riddle]

-apple/apple2e.cpp: Bring the indentation back to spec. [R. Belmont]

-jupace: correct cass output, small cleanup (ioport_array for keyboard, remove _TAG defines, template for ppi/pio trampolines) [hap]

-86f_dsk: different workaround for (unused) BIG_ENDIAN enum [hap]

-jupace: correct gfxdecode region [hap]

-nmk/nmk16: Hook up MCU for tharrierb [Dirk Best, Porchy, Hammy]
 * Test mode can now be accessed.

-tim100: Invert parity of keyboard to make it usable [AJR]

-tim011: Updates [AJR]
 * Replace generic keyboard emulation with CDP1802-based keyboard
 * Hook up RS-232 port to other Z180 ASCI channel
 * Enable floppy sounds
 * Eliminate tag macro

-dataeast/supbtime.cpp, fuuki/fuukifg2.cpp, fuuki/fuukifg3.cpp: consolidated drivers into single files [Ivan Vangelista]

-bus/cbus: drop PC9801 prefix for AMD-98 sound card [angelosa]
 * make it output mono
 * improve AY3 flip-flop mechanism
 * add logmacro

-pc9801_v: fix explicit tile lr upd7220: stop drawing if active lines is reached [cracyc]

-nec/pc9801_v.cpp: more aggressive PCG LR checks, fix mightyhd and volley2a [angelosa]

-horseran: no need for 7seg lcd outputs [hap]

-dec0: use input merger device for 6502 irq [hap]

-tim011: Use raw parameters for screen [AJR]

-taito/taito_f3.cpp: Added TODO note to use common TC0640FIO device. (#12899) [cam900]

-fuukifg2/3: init palette ram to black (nomore white flash at boot) [hap]

-toaplan2: lower sound volume because of distortion [hap]

-Added ten TV games (two working). (#12883) [mamehaze]
 * tvgames/st2302u_bbl_rom.cpp: Increased size of ROM area for BBL338 configuration, and changed class200 from DPHH8213 to BBL338.

New working systems
-------------------
Epoch / SSD Company LTD Tokyo Friend Park II Perfect! Mezase! Grand Slam!! (Japan) [David Haywood, Peter Wilhelmsen, TeamEurope]
Takara / SSD Company LTD Poko Poko Hammers (Japan) [David Haywood, Peter Wilhelmsen, TeamEurope]

New systems marked not working
------------------------------
Bandai / SSD Company LTD Let's! TV Play Touin Ougi Onmyou Taisenki: Mezase Saikyou Toushinshi (Japan) [David Haywood, TeamEurope]
Epoch / Mizkan / SSD Company LTD Shamoji de Ping Pong (Japan) [David Haywood, TeamEurope]
Epoch / SSD Company LTD mini-moni Party! Rhythm de Pyon! (Japan) [David Haywood, TeamEurope]
Epoch / SSD Company LTD Super Shot! Excite Golf (Japan) [David Haywood, TeamEurope]
Epoch / SSD Company LTD Super TV-PC - Doraemon [QUFB, TeamEurope]
Takara / SSD Company LTD Choro-Q Byun Byun Racer (Japan) [David Haywood, TeamEurope]
Takara Tomy / SSD Company LTD Asobitai Hyper Rescue - Boku wa Kyuujotai! (Japan) [David Haywood, TeamEurope]
Tomy / SSD Company LTD Star Wars Saga Edition - Lightsaber Battle Game (Japan) [David Haywood, TeamEurope]

-spectrum_cass.xml: Added fourteen items working items (thirteen working). (#12897) [ArcadeShadow]
 * Combined Provincial League tape with Speedway - Team Championship - 1960.
 * Combined Star Watcher Applications Program and Teaching Program.
 * Combined Bridge Software Statistics Groups Comparison and Multiple Observation Designs.
 * Fixed some metadata and parent/clone relationships.

New working software list items (spectrum_cass.xml)
---------------------------------------------------
3D Desert War [Planeta Sinclair]
Altair (Athena) [Planeta Sinclair]
Altair (Athena, alt 1) [Planeta Sinclair]
Altair (Athena, alt 2) [Planeta Sinclair]
Apocalypse (Santoli) [Planeta Sinclair]
Magic Worm (mod, alt) [Planeta Sinclair]
Manic Miner + Kong (pirate) [Planeta Sinclair]
Psytraxx + Hell Fire (pirate) [Planeta Sinclair]
Samurai Warrior (MCM) [Spectrum Computing]
TasWord 2 (French) [Spectrum Computing]
TasWord 2 (MCI) [Spectrum Computing]
TasWord 2 (Microbaite) [Planeta Sinclair]
Tipster [Planeta Sinclair]

New software list items marked not working (spectrum_cass.xml)
--------------------------------------------------------------
Lunar Rescue (Crystal Computing) [Spectrum Computing]

-igs/igs_m027_023vid.cpp: Trigger FIQ at start of vertical blanking and IRQ at end of vertical blanking. (#12895) [mamehaze]

-nec/pc9801: add 7220 monitor clock register, cleanups around display enable [angelosa]

-hitach/bml3: hookup BAUD SEL [Robbbert]

-sigmab98: fix regression with hopper motor [hap]

New working software list items
-------------------------------
bml3_cass: IG Demo [Anna Wu]

-nyny: add dac enable bit, r2dtank: remove unneeded trampoline [hap]

-nec/pc9801_kbd.cpp: clear irq line in device_reset [angelosa]
 * fix pc9801vm non-working keyboard on soft resets

-matsushita/kn5000.cpp: add 2 newly dumped data ROMs (#12902) [Felipe Corrêa da Silva Sanches]
 * With this we now get a good-looking "CPU communication" error screen during boot.

-m68k: add FPU instructions `FETOX`, `FETOXM1`, `FTWOTOX`, `FTENTOX` (#12903) [kms1212]

-h8_sci: Disable logging by default & don't log debugger reads. Only start sending data via DMA if transmitter is enabled. Clear
 TEND when sending data via DMA. TDRE, RDRF, ORER, PER and FER flags can be cleared to 0 only if they have first been read while set
 to 1. Only set TEND when there is no more data to send. Receiver is started only on high to low rxd in asynchronous mode, when
 receiving and sending in synchronous mode when data is sent, or continuously when receiving without sending in synchronous mode.
 Set rx status to idle when stopping clock in rx_async_step(). Remove double invert when calculating parity in rx_async_step().
 Remove redundant check for synchronous mode in rx_async_step(). [smf-]

-{mo5/mo6/to7/to8}_cass.xml, {mo5/to7}_cart.xml, {mo5/mo6/to}_flop.xml: Metadata corrections [AJR]
 * Change name of publisher Answare to Answare-Diffusion
 * Add missing diacritics to name of publisher Microïds and some titles
 * Correct title of to7_cart:chiflett
 * Add subtitle of to7_cass:epargne
 * Correct spelling of to7_cass & to8_cass list names

-to7_cass.xml: Spelling fix [AJR]

New systems marked not working
------------------------------
Mystery J & B (V1.3G) [Ioannis Bampoulas]
Super El Dorado (Ver. 1.04H) [Hammy, buffi]
Triple Jack (V1.6G) [Ioannis Bampoulas]

-f2mc16: Created devices for the onboard analogue to digital converter, clock generator, interrupt controller/Extended intelligent
 I/O service, I/O port, Programmable Pulse Generator, reload timer and UART. CPU core exposes the RMW line for onboard devices. Log
 messages will contain the address of the start of the instruction, rather than the next byte the CPU is about to fetch. Added
 INT9/INT addr16 & INT addr24 software interrupt instructions. Fixed INCW @RWx & DECW @RWx instruction length Added missing fetch of
 immediate value in MOV @RWx + RW7, #imm8. Rewrote Tomy Prin-C keyboard handling and pen to use new onboard devices, substantially
 increasing the reload timer 0 frequency as it's now correctly waiting for 0x7530 underflows with reload = 0x37f at startup. [smf-]

-Added ATMEL_29C020, added support for SDP & added missing state save registrations. [smf-]

-Added C77, custom H8 for Namco. [smf-]

-Added a new modular JVS framework [smf-]
 * New devices added:
 * Namco Cyber Lead I/O LED(I/O) PCB 8699014200 Namco Cyber Lead I/O LED(I/O) PCB 8699014200 (compatibility patch) Namco Cyber Lead
    I/O LED(LED) PCB 8699014500 Namco AMC PCB (Extra I/O,JPN,Ver1.10) Namco ASCA-1 (Multipurpose I/O,JPN,Ver2.00) Namco ASCA-3
    (Multipurpose + Rotary Encoder,JPN,Ver2.04) Namco ASCA-3 (Multipurpose + Rotary Encoder,JPN,Ver2.02) Namco ASCA-5
    (Multipurpose,JPN,Ver2.09) Namco CSZ1 MIU-I/O (GUN-EXTENTION,JPN,Ver2.05) Namco EM I/O1-02 (Techno-Drive I/O,JPN&EXP,Ver2.00)
    Namco TSS-I/O (GUN-EXTENTION,JPN,Ver2.02) Namco XMIU1 TSS-I/O (GUN-EXTENTION,JPN,Ver2.11,Ver2.12)
 * Note: the Cyber Lead compatibility patch is required because later versions aren't
 * Namco FCA-1 (Multipurpose + Rotary Encoder,JPN,Ver1.00) Namco FCA-1 (Multipurpose + Rotary Encoder,JPN,Ver1.01) Namco FCB
    (TouchPanel&Multipurpose,JPN,Ver1.02)
 * Note: These use ASCA3 patched to return the correct ID string as the full ROM is yet to be extracted
 * Namco EM Pri1-01
 * Note: The printer for Techno Drive is HLE'd only enough to make the game happy

-mame/whtm68k.cpp: fixed GFX decoding, tilemap and screen size [Olivier Galibert]

Games Promoted to working
-------------------------
Kart Duel (World, KTD2/VER.A) [smf-]
Kart Duel (Japan, KTD1/VER.A) [smf-]

-Converted Namco System 12 to allow JVS or JAMMA in each game. See src/devices/bus/jvs/cyberlead.cpp for list of games that support
 Namco Cyber Lead cabinet animations. Added Techno Drive LED artwork. Moved CDXA documentation and memory map into it's source file,
 converted the shared memory to 16bit on the PlayStation side and acknowledge the interrupt correctly. Converted to logmacro.h Setup
 analogue inputs to match the games defaults, except Kart Duel because the defaults seem impossible to achieve. Made set names and
 formatting consistent. [smf-]

-Added gdbstub support for MC68030 (#12906) [kms1212]

-Make JVS work with -listxml [smf-]

-technodr: lower analog controls keydelta [hap]

-Added seven TV games (two working), and redumped Excite Ping Pong 2 . (#12901) [mamehaze]
 * tvgames/xavix.cpp: Redumped Takkyuu Yarouze! Excite Ping Pong 2 (Japan). [TeamEurope]

New working systems
-------------------
Bandai / SSD Company LTD Let's! TV Play Keroro Shoutai Dai Panic! Dotabata Daikessen de Arimasu (Japan)
  [David Haywood, Peter Wilhelmsen, TeamEurope]
Epoch / SSD Company LTD Tokyo Friend Park II Special! (Japan) [David Haywood, Peter Wilhelmsen, TeamEurope]

New systems marked not working
------------------------------
Epoch / SSD Company LTD Black Bass Tsurouze! Excite Fishing (Japan) [David Haywood, TeamEurope]
Epoch / SSD Company LTD Card Scan! Excite Stage Soccer Nippon Daihyou Team (Japan) [David Haywood, TeamEurope]
Epoch / SSD Company LTD Home Run Datouze! Excite Stadium (Japan) [David Haywood, TeamEurope]
Epoch / SSD Company LTD Tottoko Hamtaro - Ham Ham Dai Circus! (Japan) [David Haywood, Peter Wilhelmsen, TeamEurope]
Epoch / SSD Company LTD TV Mahjong Shoudan Taikyoku - 4-nin Uchi (Japan) [David Haywood, Peter Wilhelmsen, TeamEurope]

Systems promoted to working
---------------------------
Takara Tomy / SSD Company LTD Asobitai Hyper Rescue - Boku wa Kyuujotai! (Japan) [mamehaze]

New clones marked not working (#12909)
--------------------------------------
Race On! (Japan, RO1 Ver. B) [Guru]

-namcos23.cpp: Significant improvements. More games boot and are playable, albeit with glitchy graphics at times.
 [Ryan Holtz, Olivier Galibert, smf]

-dirtc: Devirtualize set_current_time, cleaning up misuse [AJR]
 * midway/atlantis.cpp: Remove unused leftover

-husky: Correct RTC type; use addressable latch device [AJR]

-nsc810: Save internal state [AJR]

-igs/pgmprot_igs027a_type*: fixed some regressions [Ivan Vangelista]

-Increased timeout in namco_csz1 ROM to stop it timing out, the H8 is either running too fast or the SUB CPU is running too slow.
 Configured Crisis Zone gun to match game defaults & default to namco_csz1 JVS I/O board. [smf-]

-Stop motor error in Crisis Zone test mode [smf-]

-crszonev3b: remove leftover line in rom load [hap]

-copy paste error caused -valid to fail. [smf-]

-i82371sb_isa_device & sis85c496_host_device can now redirect their IRQs. [smf-]

New systems marked not working
------------------------------
Super Cherry Master (V5.2) [Ioannis Bampoulas]

New clones marked not working
-----------------------------
Super Cherry Master (V1.2) [Ioannis Bampoulas]

-hash/pc98.xml: get rid of (way outdated) unsupported formats section [angelosa]

-scv.xml: Improved Star Speeder ROM loading and marked it unsupported. (#12890) [wilbertpol]
 * Also converted ROM sizes and offsets to hexadecimal, and removed zero offsets from cartridges with a single ROM.

-hash/pc98.xml: add known game maker tools [angelosa]

-hash/pc98.xml: move LOGiN Disk & Book non-game disks to appropriate categories, mark ekispert as cracked [angelosa]

-namco/namcos12.cpp: Restored mnemonic clone suffixes. [Vas Crabb]

-srcclean and cleanup [Vas Crabb]

-midway/midvunit.h: Fix range error in "Galil" wheel controller emulation. [R. Belmont]

-hash/pc98.xml: demote yumeijin [angelosa]

-cactus: fix MAME crash [hap]

-wpc_s: correct rom region for some sets [hap]

-namcos23: remove texture_enabled flag, it caused missing graphics so this bit must have a different meaning, reset poly counts each
 frame to prevent trailing graphics and MAME crashing when holding INS [hap]

-nes.xml: Confirmed recompiled NESert Golfing Tournament Edition (v1.4) matches a downloaded copy. [Lord Nightmare]

-ui/selmenu.cpp: Don't ignore character input when no pointer is active. [Vas Crabb]

-ui/menu.cpp: Handle menus resetting items from custom pointer handlers better. [Vas Crabb]
